<?php

add_action('init','propanel_of_options');

if (!function_exists('propanel_of_options')) {
function propanel_of_options(){

//Theme Shortname
$shortname = "opt_glocal";


//Populate the options array
global $tt_options;
$tt_options = get_option('of_options');


//Access the WordPress Pages via an Array
$tt_pages = array();
$tt_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($tt_pages_obj as $tt_page) {
$tt_pages[$tt_page->ID] = $tt_page->post_name; }
$tt_pages_tmp = array_unshift($tt_pages, "Select a page:");


//Access the WordPress Categories via an Array
$tt_categories = array();  
$tt_categories_obj = get_categories(array(
    'type'                     => 'company',
    'taxonomy'                 => 'company_category'
));
foreach ($tt_categories_obj as $tt_cat) {
$tt_categories[$tt_cat->cat_ID] = $tt_cat->cat_name;}
$categories_tmp = array_unshift($tt_categories, "Select a category:");

$tt_fields = add_fields_search();
$tt_fields_type = add_type_fields_search();

$tt_slider = revolutionslider_array();

//Sample Array for demo purposes
$sample_array = array("1","2","3","4","5");
$number_array = array("1","2","3","4","5","6","7","8","9","10","11","12","13","14","15");


//Sample Advanced Array - The actual value differs from what the user sees
$sample_advanced_array = array("image" => "The Image","post" => "The Post"); 


//Folder Paths for "type" => "images"
$sampleurl =  get_template_directory_uri() . '/admin/images/sample-layouts/';
$templateurl =  get_template_directory_uri() . '/images/';









/*-----------------------------------------------------------------------------------*/
/* Create The Custom Site Options Panel
/*-----------------------------------------------------------------------------------*/
$options = array(); // do not delete this line - sky will fall


/* Option Page 1 - All Options */	
$options[] = array( "name" => __('All Options','glocalcp_localize'),
            "type" => "heading");

    $options[] = array( "name" => __('Your current version of Glocal Wordpress Theme is 1.4.2','glocalcp_localize'),
            "desc" => "",
            "id" => $shortname."_sample_callout",
            "std" => "<a href='http://themeforest.net/user/uouapps/portfolio'><img src='".$templateurl."uouapps.jpg' /></a>",
            "type" => "info");

    $options[] = array( "name" => __('E-Mail contact','glocalcp_localize'),
        "desc" => "e-mail contact feedback",
        "id" => $shortname."_site_email",
        "std" => "test@test.test",
        "type" => "text");

    $options[] = array( "name" => __('Subject for contact form','glocalcp_localize'),
        "desc" => "",
        "id" => $shortname."_site_email_sbj",
        "std" => "Message from Glocal site",
        "type" => "text");

    $options[] = array( "name" => __('Boxed version','glocalcp_localize'),
        "id" => $shortname."_boxed_version",
        "std" => "no",
        "type" => "images",
        "options" => array(
            'no' => $sampleurl . 'sample-layout-1.png',
            'yes' => $sampleurl . 'sample-layout-2.png'));

    $options[] = array( "name" => __('Logo Upload','glocalcp_localize'),
        "desc" => __('Upload logo site 181*67.','glocalcp_localize'),
        "id" => $shortname."_site_logo",
        "std" => $templateurl."logo.jpg",
        "type" => "upload");

    $options[] = array( "name" => __('Header version','glocalcp_localize'),
        "id" => $shortname."_header_version",
        "std" => "1",
        "type" => "images",
        "options" => array(
            '1' => $sampleurl . 'sample-menu-1.png',
            '3' => $sampleurl . 'sample-menu-3.png',
            '6' => $sampleurl . 'sample-menu-6.png',
            '7' => $sampleurl . 'sample-menu-7.png'));

    $options[] = array( "name" => __('Color scheme','framework_localize'),
        "id" => $shortname."_color_scheme",
        "std" => "#98B709",
        "type" => "color");


    $options[] = array( "name" => __('Home view','glocalcp_localize'),
        "desc" => __('Structure home view.','glocalcp_localize'),
        "id" => $shortname."_home_version",
        "std" => "map",
        "type" => "radio",
        "options" => array(
            'map' => 'Map',
            'strv' => 'Without map',
            'slider' => 'Revolution slider'));

    if ( is_plugin_active('revslider/revslider.php') ){
    $options[] = array( "name" => __('Slider','framework_localize'),
        "desc" => __('Revolution slider on page','framework_localize'),
        "id" => $shortname."_home_revslider",
        "std" => "1",
        "type" => "select",
        "options" => $tt_slider);
    }

    $options[] = array( "name" => __('Company view','glocalcp_localize'),
        "desc" => __('Structure company page view.','glocalcp_localize'),
        "id" => $shortname."_companypage_version",
        "std" => "right",
        "type" => "radio",
        "options" => array(
            'left' => 'Left sidebar',
            'right' => 'Right sidebar'));


    $options[] = array( "name" => __('Favicon site','glocalcp_localize'),
        "desc" => __('Upload a 16px x 16px image that will represent your website\'s favicon.<br />','glocalcp_localize'),
        "id" => $shortname."_favicon",
        "std" => "",
        "type" => "upload");

    $options[] = array( "name" => __('Background Upload','glocalcp_localize'),
        "id" => $shortname."_site_bg",
        "std" => $templateurl."/content/city.jpg",
        "type" => "upload");

    $options[] = array( "name" => __('Footer widgets area','glocalcp_localize'),
        "desc" => __('Activate','glocalcp_localize'),
        "id" => $shortname."_footer_widget",
        "std" => "false",
        "type" => "checkbox");

    $options[] = array( "name" => __('Footer text','glocalcp_localize'),
        "desc" => "About your Glocal.",
        "id" => $shortname."_footer_text",
        "std" => "Donec venenatis, turpis vel hendrerit interdum, dui ligula ultricies purus, sed posuere libero dui id orci. Nam congue, pede vitae dapibus aliquet, elit magna vulputate arcu, vel tempus metus leo non est. Etiam sit amet lectus quis est congue mollis.",
        "type" => "textarea");

    $options[] = array( "name" => __('Copyright label','glocalcp_localize'),
        "desc" => "Footer copyright",
        "id" => $shortname."_footer_copyright",
        "std" => "2013 © ouo.ch apps designed",
        "type" => "text");


    $options[] = array( "name" => __('Tracking Code','glocalcp_localize'),
        "desc" => __('Paste Google Analytics (or other) tracking code here.','glocalcp_localize'),
        "id" => $shortname."_google_analytics",
        "std" => "",
        "type" => "textarea");

    $options[] = array( "name" => __('Right to left support','glocalcp_localize'),
        "desc" => __('Activate.','glocalcp_localize'),
        "id" => $shortname."_site_rtl",
        "std" => "false",
        "type" => "checkbox");

/* Option Page 2 - Home page options */
$options[] = array( "name" => __('Home page options','glocalcp_localize'),
    "type" => "heading");

    $options[] = array( "name" => __('Registration block','glocalcp_localize'),
        "desc" => __('Activate.','glocalcp_localize'),
        "id" => $shortname."_home_subscribe",
        "std" => "true",
        "type" => "checkbox");

    $options[] = array( "name" => __('Welcome block','glocalcp_localize'),
        "desc" => __('Activate.','glocalcp_localize'),
        "id" => $shortname."_home_welcome",
        "std" => "true",
        "type" => "checkbox");

    // $options[] = array( "name" => __('Welcome block type','glocalcp_localize'),
    //    "id" => $shortname."_home_welcome_tabs",
    //    "std" => "globe",
    //    "type" => "select",
    //    "options" => array("Globe","Tabs"));

    $options[] = array( "name" => __('Show search on RevSlider','glocalcp_localize'),
        "desc" => __('Activate.','glocalcp_localize'),
        "id" => $shortname."_home_search_rev",
        "std" => "true",
        "type" => "checkbox");

    $options[] = array( "name" => __('Globe image','glocalcp_localize'),
        "desc" => __('Upload Globe 244*244.','glocalcp_localize'),
        "id" => $shortname."_site_globe",
        "std" => $templateurl."globe.png",
        "type" => "upload");

    $options[] = array( "name" => __('Welcome block text','glocalcp_localize'),
        "desc" => __('','glocalcp_localize'),
        "id" => $shortname."_home_wlcm_text",
        "std" => "Welcome to GLOCAL, the best local directory that provides you with information coming from across the Globe.",
        "type" => "textarea");

    $options[] = array( "name" => __('Custom block','glocalcp_localize'),
        "desc" => __('Paste HTML custom block','glocalcp_localize'),
        "id" => $shortname."_home_customblck",
        "std" => "",
        "type" => "textarea");

    $options[] = array( "name" => __('Custom block header','glocalcp_localize'),
        "desc" => "h1",
        "id" => $shortname."_home_customblck_h1",
        "type" => "text");

/* Option Page 3 - Map options */
$options[] = array( "name" => __('Map settings','glocalcp_localize'),
    "type" => "heading");
$options[] = array("type" => "cross_line", "title" => __('Map engine v.1.2','glocalcp_localize'));

    $options[] = array( "name" => __('Hidden map on load','glocalcp_localize'),
        "desc" => __('Activate.','glocalcp_localize'),
        "id" => $shortname."_map_hide",
        "std" => "false",
        "type" => "checkbox");

    $options[] = array( "name" => __('All markers on map','glocalcp_localize'),
        "desc" => __('Activate.','glocalcp_localize'),
        "id" => $shortname."_map_allmarkers",
        "std" => "false",
        "type" => "checkbox");

    $options[] = array( "name" => __('Centration maps','glocalcp_localize'),
        "desc" => __('Default centration map.','glocalcp_localize'),
        "id" => $shortname."_map_centermap",
        "std" => "centre_last",
        "type" => "radio",
        "options" => array(
            'centre_geomap' => 'Centre by geolocation',
            'centre_random' => 'Centre by random company',
            'centre_last' => 'Centre by last company',
            'centre_world' => 'Centre by world',
            'centre_addr' => 'Centre by address'));

    $options[] = array( "name" => __('Centrate address','glocalcp_localize'),
        "id" => $shortname."_company_cntr_address",
        "std" => "Belarus, Mogilev",
        "type" => "text");

    $options[] = array(
        "id" => $shortname."_company_address_gps",
        "del_line" => true,
        "type" => "gps_convert_cntr");

    $options[] = array(
        "id" => $shortname."_company_cntr_address_lat",
        "desc" => __("Latitude",'glocalcp_localize'),
        "std" => "53.9",
        "del_line" => true,
        "type" => "text");

    $options[] = array(
        "id" => $shortname."_company_cntr_address_lng",
        "desc" => __("Longitude",'glocalcp_localize'),
        "std" => "30.333333300000052",
        "del_line" => true,
        "type" => "text");

    $options[] = array( "name" => __('Default category','framework_localize'),
        "desc" => __("Only for Centre by geolocation, world and address",'glocalcp_localize'),
        "id" => $shortname."_home_defcat",
        "std" => "1",
        "type" => "select",
        "options" => $tt_categories);

    $options[] = array( "name" => __('Map type','glocalcp_localize'),
        "desc" => __('','glocalcp_localize'),
        "id" => $shortname."_map_type",
        "std" => "ROADMAP",
        "type" => "radio",
        "options" => array(
            'ROADMAP' => 'Roadmap',
            'SATELLITE' => 'Satellite',
            'HYBRID' => 'Hybrid',
            'TERRAIN' => 'Terrain'));


    $options[] = array( "name" => __('','glocalcp_localize'),
        "id" => $shortname."_map_zoom",
        "std" => "5",
        "type" => "text");


    $options[] = array( "name" => __('Zoom level on map','glocalcp_localize'),
        "id" => $shortname."_map_zoom",
        "std" => "10",
        "type" => "select",
        "options" => $number_array);


    $options[] = array( "name" => __('Draggable map','glocalcp_localize'),
        "desc" => __('Activate.','glocalcp_localize'),
        "id" => $shortname."_map_drag",
        "std" => "true",
        "type" => "checkbox");

    $options[] = array( "name" => __('Map lock button','glocalcp_localize'),
        "desc" => __('Activate.','glocalcp_localize'),
        "id" => $shortname."_map_disablebtn",
        "std" => "false",
        "type" => "checkbox");

    $options[] = array( "name" => __('Scrollwheel zoom map','glocalcp_localize'),
        "desc" => __('Activate.','glocalcp_localize'),
        "id" => $shortname."_map_scroll",
        "std" => "false",
        "type" => "checkbox");

/* Option Page 4 - Search options */
$options[] = array( "name" => __('Search settings','glocalcp_localize'),
    "type" => "heading");
$options[] = array("type" => "cross_line", "title" => __('Search engine v.1.3','glocalcp_localize'));
    $options[] = array( "name" => __('Advanced search','glocalcp_localize'),
        "desc" => __('Activate advanced search.','glocalcp_localize'),
        "id" => $shortname."_search_adv",
        "std" => "true",
        "type" => "checkbox");

    $options[] = array( "name" => __('Radius search','glocalcp_localize'),
        "desc" => __('Activate radius search.','glocalcp_localize'),
        "id" => $shortname."_search_radius",
        "std" => "true",
        "type" => "checkbox");

    $options[] = array( "name" => __('Map type','glocalcp_localize'),
        "desc" => __('','glocalcp_localize'),
        "id" => $shortname."_map_kmmi",
        "std" => "km",
        "type" => "radio",
        "options" => array(
            'km' => 'Kilometers',
            'mi' => 'Miles'));

    $options[] = array( "name" => __('Slider radius minimal value (km/mi)','glocalcp_localize'),
        "id" => $shortname."_search_dist_min",
        "std" => "1",
        "type" => "text");

    $options[] = array( "name" => __('Slider radius maximal value (km/mi)','glocalcp_localize'),
        "id" => $shortname."_search_dist_max",
        "std" => "5000",
        "type" => "text");

    $options[] = array( "name" => __('Slider radius default value (km/mi)','glocalcp_localize'),
        "id" => $shortname."_search_dist_def",
        "std" => "1500",
        "type" => "text");


    $options[] = array( "name" => __('Days published maximal value','glocalcp_localize'),
        "id" => $shortname."_search_days_max",
        "std" => "30",
        "type" => "text");

    $options[] = array( "name" => __('Additional fields','glocalcp_localize'),
        "id" => $shortname."_advsearch_fields",
        "std" => "Month",
        "type" => "multicheck",
        "options" => $tt_fields);

    include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

    if ( is_plugin_active('types/wpcf.php') ){
        $options[] = array( "name" => __('Type additional fields','glocalcp_localize'),
            "id" => $shortname."_advsearch_fields_type",
            "std" => "Month",
            "type" => "multicheck",
            "options" => $tt_fields_type);}


/* Option Page 5 - Glocal company */
$options[] = array( "name" => __('Glocal company','glocalcp_localize'),
    "type" => "heading");
$options[] = array("type" => "cross_line", "title" => __('Address Details','glocalcp_localize'));

    $options[] = array( "name" => __('Email','glocalcp_localize'),
        "id" => $shortname."_company_email",
        "std" => "email@example.com",
        "type" => "text");

    $options[] = array( "name" => __('Phone','glocalcp_localize'),
        "id" => $shortname."_company_phone",
        "std" => "+1 123-456-7890",
        "type" => "text");

    $options[] = array( "name" => __('Fax','glocalcp_localize'),
        "id" => $shortname."_company_fax",
        "std" => "+1 123-456-7890",
        "type" => "text");

    $options[] = array( "name" => __('Address','glocalcp_localize'),
        "id" => $shortname."_company_address",
        "std" => "1234 Street Mountain View, CA 94043",
        "type" => "text");

    $options[] = array(
        "id" => $shortname."_company_address_gps",
        "del_line" => true,
        "type" => "gps_convert");

    $options[] = array(
        "id" => $shortname."_company_address_lat",
        "desc" => __("Latitude",'glocalcp_localize'),
        "std" => "37.3846064",
        "del_line" => true,
        "type" => "text");

    $options[] = array(
        "id" => $shortname."_company_address_lng",
        "desc" => __("Longitude",'glocalcp_localize'),
        "std" => "-122.09026970000002",
        "del_line" => true,
        "type" => "text");

    $options[] = array( "name" => __('Website','glocalcp_localize'),
        "id" => $shortname."_company_website",
        "std" => "www.example.com",
        "type" => "text");

$options[] = array("type" => "cross_line", "title" => __('Opening Hours','glocalcp_localize'));

    $options[] = array( "name" => __('1 Opening interval','glocalcp_localize'),
        "desc" => __("1 Day interval",'glocalcp_localize'),
        "id" => $shortname."_company_1int_day",
        "std" => "Monday-Friday",
        "type" => "text");
    $options[] = array(
        "id" => $shortname."_company_1int_hr",
        "desc" => __("1 Time interval",'glocalcp_localize'),
        "del_line" => true,
        "std" => "9am - 5pm",
        "type" => "text");

    $options[] = array( "name" => __('2 Opening interval','glocalcp_localize'),
        "desc" => __("2 Day interval",'glocalcp_localize'),
        "id" => $shortname."_company_2int_day",
        "std" => "Saturday",
        "type" => "text");

    $options[] = array(
        "id" => $shortname."_company_2int_hr",
        "desc" => __("2 Time interval",'glocalcp_localize'),
        "del_line" => true,
        "std" => "10am - 3pm",
        "type" => "text");

    $options[] = array( "name" => __('3 Opening interval','glocalcp_localize'),
        "desc" => __("3 Day interval",'glocalcp_localize'),
        "id" => $shortname."_company_3int_day",
        "std" => "Sunday:",
        "type" => "text");

    $options[] = array(
        "id" => $shortname."_company_3int_hr",
        "desc" => __("3 Time interval",'glocalcp_localize'),
        "std" => "Closed",
        "del_line" => true,
        "type" => "text");

    $options[] = array( "name" => __('4 Opening interval','glocalcp_localize'),
        "desc" => __("4 Day interval",'glocalcp_localize'),
        "id" => $shortname."_company_4int_day",
        "std" => "",
        "type" => "text");
    $options[] = array(
        "id" => $shortname."_company_4int_hr",
        "desc" => __("4 Time interval",'glocalcp_localize'),
        "std" => "",
        "del_line" => true,
        "type" => "text");

/* Option Page 6 - PayPal options */
$options[] = array( "name" => __('PayPal','glocalcp_localize'),
    "type" => "heading");
$options[] = array("type" => "cross_line", "title" => __('PayPal settings','glocalcp_localize'));

    $options[] = array( "name" => __('Activate PayPal system','glocalcp_localize'),
        "desc" => "Enable PayPal system to buy packages",
        "id" => $shortname."_pp_act",
        "std" => "false",
        "type" => "checkbox");

    $options[] = array( "name" => __('PayPal API Environment','glocalcp_localize'),
        "desc" => __('Use sandbox (virtual) enviroment to testing paypal functionality (developer.paypal.com). <br/> Use live (real) enviroment.','glocalcp_localize'),
        "id" => $shortname."_pp_api",
        "std" => "sandbox",
        "type" => "radio",
        "options" => array(
            'sandbox' => 'SandBox (virtual)',
            'live' => 'Live (real)'));

    $options[] = array( "name" => __('PayPal Payment Type','glocalcp_localize'),
        "desc" => __('Use Single to single payments. <br/> Use Recurring to subscriptions payments','glocalcp_localize'),
        "id" => $shortname."_pp_type",
        "std" => "single",
        "type" => "radio",
        "options" => array(
            'single' => 'Single',
            'recurr' => 'Recurring'));

    $options[] = array( "name" => __('PayPal API Username','glocalcp_localize'),
        "id" => $shortname."_pp_username",
        "type" => "text");

    $options[] = array( "name" => __('PayPal API Password','glocalcp_localize'),
        "id" => $shortname."_pp_pass",
        "type" => "text");

    $options[] = array( "name" => __('PayPal API Signature','glocalcp_localize'),
        "id" => $shortname."_pp_signature",
        "type" => "text");

    $options[] = array( "name" => __('PayPal API Currency Code','glocalcp_localize'),
        "std" => "USD",
        "id" => $shortname."_pp_currency",
        "type" => "text");

    $options[] = array( "name" => __('PayPal payment name','glocalcp_localize'),
        "id" => $shortname."_pp_name",
        "std" => "Glocal package",
        "type" => "text");


/* Option Page 7 - Account options */
$options[] = array( "name" => __('Account','glocalcp_localize'),
    "type" => "heading");
$options[] = array("type" => "cross_line", "title" => __('1 - Account settings','glocalcp_localize'));

    $options[] = array( "name" => __('Active','glocalcp_localize'),
        "desc" => "",
        "id" => $shortname."_acc_1_active",
        "std" => "true",
        "type" => "checkbox");

    $options[] = array( "name" => __('Account name','glocalcp_localize'),
        "id" => $shortname."_acc_1_name",
        "std" => "Glocal - Silver",
        "type" => "text");

    $options[] = array( "name" => __('Price','glocalcp_localize'),
        "desc" => 'set 0 for free',
        "std" => "0",
        "id" => $shortname."_acc_1_price",
        "type" => "text");

    $options[] = array( "name" => __('Payment period','glocalcp_localize'),
        "desc" => __('Used for PayPal recurring type payments.','glocalcp_localize'),
        "id" => $shortname."_acc_1_period",
        "std" => "Month",
        "type" => "select",
        "options" => array("Year","Month","Week", "Day"));

    $options[] = array( "name" => __('Expires period days','glocalcp_localize'),
        "desc" => 'set 0 for unlimited',
        "std" => "0",
        "id" => $shortname."_acc_1_expr",
        "type" => "text");

$options[] = array("type" => "cross_line", "title" => __('1 - Account Capabilities','glocalcp_localize'));

    $options[] = array( "name" => __('Max items','glocalcp_localize'),
        "desc" => 'set 0 for unlimited',
        "std" => "1",
        "id" => $shortname."_acc_1_items",
        "type" => "text");

    $options[] = array("type" => "cross_line", "title" => __('2 - Account settings','glocalcp_localize'));

    $options[] = array( "name" => __('Active','glocalcp_localize'),
        "desc" => "",
        "id" => $shortname."_acc_2_active",
        "std" => "true",
        "type" => "checkbox");

    $options[] = array( "name" => __('Account name','glocalcp_localize'),
        "id" => $shortname."_acc_2_name",
        "std" => "Glocal - Gold",
        "type" => "text");

    $options[] = array( "name" => __('Price','glocalcp_localize'),
        "desc" => 'set 0 for free',
        "std" => "20",
        "id" => $shortname."_acc_2_price",
        "type" => "text");

    $options[] = array( "name" => __('Payment period','glocalcp_localize'),
        "desc" => __('Used for PayPal recurring type payments.','glocalcp_localize'),
        "id" => $shortname."_acc_2_period",
        "std" => "Month",
        "type" => "select",
        "options" => array("Year","Month","Week", "Day"));

    $options[] = array( "name" => __('Expires period days','glocalcp_localize'),
        "desc" => 'set 0 for unlimited',
        "std" => "0",
        "id" => $shortname."_acc_2_expr",
        "type" => "text");

    $options[] = array("type" => "cross_line", "title" => __('2 - Account Capabilities','glocalcp_localize'));

    $options[] = array( "name" => __('Max items','glocalcp_localize'),
        "desc" => 'set 0 for unlimited',
        "std" => "10",
        "id" => $shortname."_acc_2_items",
        "type" => "text");

    $options[] = array("type" => "cross_line", "title" => __('3 - Account settings','glocalcp_localize'));

    $options[] = array( "name" => __('Active','glocalcp_localize'),
        "desc" => "",
        "id" => $shortname."_acc_3_active",
        "std" => "true",
        "type" => "checkbox");

    $options[] = array( "name" => __('Account name','glocalcp_localize'),
        "id" => $shortname."_acc_3_name",
        "std" => "Glocal - Platinum",
        "type" => "text");

    $options[] = array( "name" => __('Price','glocalcp_localize'),
        "desc" => 'set 0 for free',
        "std" => "30",
        "id" => $shortname."_acc_3_price",
        "type" => "text");

    $options[] = array( "name" => __('Payment period','glocalcp_localize'),
        "desc" => __('Used for PayPal recurring type payments.','glocalcp_localize'),
        "id" => $shortname."_acc_3_period",
        "std" => "Month",
        "type" => "select",
        "options" => array("Year","Month","Week", "Day"));

    $options[] = array( "name" => __('Expires period days','glocalcp_localize'),
        "desc" => 'set 0 for unlimited',
        "std" => "0",
        "id" => $shortname."_acc_3_expr",
        "type" => "text");

    $options[] = array("type" => "cross_line", "title" => __('3 - Account Capabilities','glocalcp_localize'));

    $options[] = array( "name" => __('Max items','glocalcp_localize'),
        "desc" => 'set 0 for unlimited',
        "std" => "20",
        "id" => $shortname."_acc_3_items",
        "type" => "text");

/* Option Page 8 - Our partners */
$options[] = array( "name" => __('Our partners','glocalcp_localize'),
    "type" => "heading");

    $options[] = array( "name" => __('Partners logo 1','glocalcp_localize'),
        "desc" => __('Recomended size 133*29.','glocalcp_localize'),
        "id" => $shortname."_partner_1",
        "std" => $templateurl."content/themeforest.png",
        "type" => "upload");

    $options[] = array( "name" => __('Partners Url 1','glocalcp_localize'),
        "id" => $shortname."_partner_1_url",
        "std" => "http://www.themeforest.net/",
        "type" => "text");

    $options[] = array( "name" => __('Display on site','glocalcp_localize'),
        "id" => $shortname."_partner_1_dsp",
        "std" => "true",
        "type" => "checkbox");

    $options[] = array("type" => "cross_line");

    $options[] = array( "name" => __('Partners logo 2','glocalcp_localize'),
        "desc" => __('Recomended size 133*29.','glocalcp_localize'),
        "id" => $shortname."_partner_2",
        "std" => $templateurl."content/activeden.png",
        "type" => "upload");

    $options[] = array( "name" => __('Partners Url 2','glocalcp_localize'),
        "id" => $shortname."_partner_2_url",
        "std" => "http://www.activeden.net/",
        "type" => "text");

    $options[] = array( "name" => __('Display on site','glocalcp_localize'),
        "id" => $shortname."_partner_2_dsp",
        "std" => "true",
        "type" => "checkbox");

    $options[] = array("type" => "cross_line");

    $options[] = array( "name" => __('Partners logo 3','glocalcp_localize'),
        "desc" => __('Recomended size 133*29.','glocalcp_localize'),
        "id" => $shortname."_partner_3",
        "std" => $templateurl."content/audiojungle.png",
        "type" => "upload");
    $options[] = array( "name" => __('Partners Url 3','glocalcp_localize'),
        "id" => $shortname."_partner_3_url",
        "std" => "http://www.audiojungle.net/",
        "type" => "text");

    $options[] = array( "name" => __('Display on site','glocalcp_localize'),
        "id" => $shortname."_partner_3_dsp",
        "std" => "true",
        "type" => "checkbox");

    $options[] = array("type" => "cross_line");

    $options[] = array( "name" => __('Partners logo 4','glocalcp_localize'),
        "desc" => __('Recomended size 133*29.','glocalcp_localize'),
        "id" => $shortname."_partner_4",
        "std" => $templateurl."content/graphicriver.png",
        "type" => "upload");
    $options[] = array( "name" => __('Partners Url 4','glocalcp_localize'),
        "id" => $shortname."_partner_4_url",
        "std" => "http://www.graphicriver.net/",
        "type" => "text");

    $options[] = array( "name" => __('Display on site','glocalcp_localize'),
        "id" => $shortname."_partner_4_dsp",
        "std" => "true",
        "type" => "checkbox");

    $options[] = array("type" => "cross_line");

    $options[] = array( "name" => __('Partners logo 5','glocalcp_localize'),
        "desc" => __('Recomended size 133*29.','glocalcp_localize'),
        "id" => $shortname."_partner_5",
        "std" => $templateurl."content/codecanyon.png",
        "type" => "upload");
    $options[] = array( "name" => __('Partners Url 5','glocalcp_localize'),
        "id" => $shortname."_partner_5_url",
        "std" => "http://www.codecanyon.net/",
        "type" => "text");

    $options[] = array( "name" => __('Display on site','glocalcp_localize'),
        "id" => $shortname."_partner_5_dsp",
        "std" => "true",
        "type" => "checkbox");

    $options[] = array("type" => "cross_line");

    $options[] = array( "name" => __('Partners logo 6','glocalcp_localize'),
        "desc" => __('Recomended size 133*29.','glocalcp_localize'),
        "id" => $shortname."_partner_6",
        "std" => $templateurl."content/3docean.png",
        "type" => "upload");

    $options[] = array( "name" => __('Partners Url 6','glocalcp_localize'),
        "id" => $shortname."_partner_6_url",
        "std" => "http://www.3docean.net/",
        "type" => "text");

    $options[] = array( "name" => __('Display on site','glocalcp_localize'),
        "id" => $shortname."_partner_6_dsp",
        "std" => "true",
        "type" => "checkbox");

    $options[] = array("type" => "cross_line");

    $options[] = array( "name" => __('Partners logo 7','glocalcp_localize'),
        "desc" => __('Recomended size 133*29.','glocalcp_localize'),
        "id" => $shortname."_partner_7",
        "std" => $templateurl."content/videohive.png",
        "type" => "upload");
    $options[] = array( "name" => __('Partners Url 7','glocalcp_localize'),
        "id" => $shortname."_partner_7_url",
        "std" => "http://www.videohive.net/",
        "type" => "text");

    $options[] = array( "name" => __('Display on site','glocalcp_localize'),
        "id" => $shortname."_partner_7_dsp",
        "std" => "true",
        "type" => "checkbox");

/* Option Page 9 - Social icons */
$options[] = array( "name" => __('Social settings','glocalcp_localize'),
    "type" => "heading");

    $options[] = array( "name" => __('Flickr ID','glocalcp_localize'),
        "id" => $shortname."_flickr_id",
        "std" => "52617155@N08",
        "type" => "text");


    $options[] = array("type" => "cross_line");

    $options[] = array( "name" => __('Facebook','glocalcp_localize'),
        "id" => $shortname."_social_fb",
        "std" => "http://facebook.com",
        "socail_icons" => "facebook",
        "type" => "text");

    $options[] = array( "name" => __('Google+','glocalcp_localize'),
        "id" => $shortname."_social_gp",
        "std" => "http://googleplus.com",
        "socail_icons" => "google",
        "type" => "text");

    $options[] = array( "name" => __('Twitter','glocalcp_localize'),
        "id" => $shortname."_social_tw",
        "std" => "http://twitter.com",
        "socail_icons" => "twitter",
        "type" => "text");

    $options[] = array( "name" => __('LinkedIn','glocalcp_localize'),
        "id" => $shortname."_social_li",
        "socail_icons" => "linkedin",
        "std" => "http://linkedin.com",
        "type" => "text");

    $options[] = array( "name" => __('Pinterest','glocalcp_localize'),
        "id" => $shortname."_social_pt",
        "std" => "http://pinterest.com",
        "socail_icons" => "pinterest",
        "type" => "text");

    $options[] = array( "name" => __('Dribbble','glocalcp_localize'),
        "id" => $shortname."_social_dr",
        "std" => "http://dribbble.com",
        "socail_icons" => "dribbble",
        "type" => "text");


/* Option Page 10 - Banners */
$options[] = array( "name" => __('Advertising banners','glocalcp_localize'),
    "type" => "heading");


    $options[] = array( "name" => __('Header banner Upload','glocalcp_localize'),
        "desc" => __('Upload Header banner 715*90.','glocalcp_localize'),
        "id" => $shortname."_site_banner",
        "std" => $templateurl."content/banner.jpg",
        "type" => "upload");

    $options[] = array(
        "id" => $shortname."_site_headbanner_url",
        "desc" => __("Url header banner",'glocalcp_localize'),
        "std" => "#",
        "del_line" => true,
        "type" => "text");

    $options[] = array( "name" => __('Sidebar banner Upload','glocalcp_localize'),
        "desc" => __('Upload Sidebar banner 601*500.','glocalcp_localize'),
        "id" => $shortname."_site_sidebanner",
        "std" => $templateurl."content/sidebar_banner.png",
        "type" => "upload");

    $options[] = array(
        "id" => $shortname."_site_sidebanner_url",
        "desc" => __("Url sidebar banner",'glocalcp_localize'),
        "std" => "#",
        "del_line" => true,
        "type" => "text");

    $options[] = array( "name" => __('Sidebar 1 banner Upload','glocalcp_localize'),
        "desc" => __('Upload Sidebar banner 123*123.','glocalcp_localize'),
        "id" => $shortname."_site_sidebanner_1",
        "std" => $templateurl."content/sidebar_banner_1.png",
        "type" => "upload");

    $options[] = array(
        "id" => $shortname."_site_sidebanner_1_url",
        "desc" => __("Url sidebar 1 banner",'glocalcp_localize'),
        "std" => "#",
        "del_line" => true,
        "type" => "text");

    $options[] = array( "name" => __('Sidebar 2 banner Upload','glocalcp_localize'),
        "desc" => __('Upload Sidebar banner 123*123.','glocalcp_localize'),
        "id" => $shortname."_site_sidebanner_2",
        "std" => $templateurl."content/sidebar_banner_2.png",
        "type" => "upload");

    $options[] = array(
        "id" => $shortname."_site_sidebanner_2_url",
        "desc" => __("Url sidebar 2 banner",'glocalcp_localize'),
        "std" => "#",
        "del_line" => true,
        "type" => "text");

if ( is_plugin_active('sitepress-multilingual-cms/sitepress.php') ){
/* Option Page 11 - Banners */
    $options[] = array( "name" => __('Multilingual settings','glocalcp_localize'),
        "type" => "heading");

    $options[] = array( "name" => __('This theme ready for translate by WPML','glocalcp_localize'),
        "desc" => "",
        "id" => $shortname."_sample_callout",
        "std" => "<a href='http://wpml.org'><img src='".$templateurl."wpml.jpg' /></a>",
        "type" => "info");

    $options[] = array( "name" => __('Language switcher style','glocalcp_localize'),
        "desc" => __('','glocalcp_localize'),
        "id" => $shortname."_wpml_type",
        "std" => "Language code",
        "type" => "select",
        "options" => array("Language code","Language name","Flag"));
}

    update_option('of_template',$options);
update_option('of_shortname',$shortname);

}
}