<?php
/**
 * The Template For Displaying Comments.
 *
 * The area of the page that contains both current comments
 * and the comment form.
 *
 **/
?>

<?php if ( post_password_required() ) : ?>
				<p class="nopassword"><?php _e( 'This post is password protected. Enter the password to view any comments.', 'glocal'); ?></p>
			</div>
<?php
	    	return;
	   endif;
?>

<?php if ( have_comments() ) : ?>
    <div class="block-title">
    <h3 id="comments-title"><?php
			printf( _n( '1 Comment', '%1$s Comments', get_comments_number(), 'glocal' ),
			number_format_i18n( get_comments_number() ), '<em>' . get_the_title() . '</em>' );
			?></h3></div>
            <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
			<div class="navigation">
				<div class="nav-previous"><?php previous_comments_link( __( '<span class="meta-nav">&larr;</span> Older Comments', 'glocal' ) ); ?></div>
				<div class="nav-next"><?php next_comments_link( __( 'Newer Comments <span class="meta-nav">&rarr;</span>', 'glocal' ) ); ?></div>
			</div> <!-- .navigation -->
            <?php endif;?>
			<ol class="commentlist">
				<?php
					/*
					 *  Loop Through and list the comments.
					 */
					wp_list_comments( array( 'callback' => 'glocal_comment' ) );
				?>
			</ol>
            <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : //Comments Page ?>
			<div class="navigation">
				<div class="nav-previous"><?php previous_comments_link( __( '<span class="meta-nav">&larr;</span> Older Comments', 'glocal' ) ); ?></div>
				<div class="nav-next"><?php next_comments_link( __( 'Newer Comments <span class="meta-nav">&rarr;</span>', 'glocal' ) ); ?></div>
			</div>
            <?php endif; ?>
<?php
	/*
	 *  Closed comments
	 */
	if ( ! comments_open() && get_comments_number() ) : ?>
		<p class="nocomments"><?php _e('Comments are closed.', 'glocal'); ?></p>
	<?php endif;  ?>
<?php endif; ?>
<br/><br/>
<div class="comment-message block">
<?php
$commenter = wp_get_current_commenter();
$req = get_option( 'require_name_email' );
$aria_req = ( $req ? " aria-required='true'" : '' );
$fields =  array(
    'author' => '<div id="comment-about">'.
        '<input id="author" class="text-input-grey name" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . $aria_req . ' placeholder="' . __( 'Name', 'glocal' ) .  '*"/>',
    'email'  => ' '.
        '<input id="email" class="text-input-grey email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30"' . $aria_req . ' placeholder="' . __( 'Email', 'glocal' ) . '*" />',
    'url'    => '' .
        '<input id="url" class="text-input-grey website" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" placeholder="' . __( 'Website', 'glocal' ) . '"/></div>',


);
$comments_args = array(
    'fields' =>  $fields,
    'title_reply'=>'<div class="comment-message-title">Leave a <span class="text-green">Comment</span></div>',
    'id_form' => 'comment-message-form',
    'label_submit' => 'Post Comment',
    'id_submit'            => 'button-2-green',
    'comment_notes_before'=>'',
    'comment_notes_after'=>'',
    'comment_field'        =>
        '<div id="comment-mess"><textarea class="text-input-grey comment-message-main"  name="comment" cols="45" rows="8" aria-required="true" placeholder="' . __( 'Comment', 'glocal' ) . '"></textarea></div>',

);
comment_form($comments_args);
?>
</div>