<?php
$themename = "Glocal";
$shortname = "glocal";
$version = "1.0";

/******************************
* 	  DEFINE DIRECTORIES      *
******************************/
define('DS', DIRECTORY_SEPARATOR);
define('glocal_LIB', get_template_directory().'/lib');
define('glocal_CLASS', get_template_directory().'/lib'.DS.'class');
define('glocal_TMP', get_template_directory().'/tmp');
define('glocal_SKL', get_template_directory().'/skl');
define('glocal_SKL_FRAMEWORK', glocal_SKL.'/framework');
define('glocal_SKL_plugin', glocal_SKL.'/plugin');
define('glocal_URI_TMP', get_template_directory_uri().'/tmp');
define('glocal_LANGUAGES', get_template_directory().'/languages');
define('glocal_PANEL', glocal_LIB .DS.'panel');
define('glocal_IMAGES', get_template_directory().'/images');
define('glocal_BACKGROUNDS', glocal_IMAGES.DS.'backgrounds');
define('glocal_INCLUDE', get_template_directory().'/include');
define('glocal_SCRIPTSDIR', get_template_directory_uri().'/scripts');
define('glocal_CSSDIR', get_template_directory_uri().'/css');

/******************************
* 	LOAD LANGUAGES            *
******************************/
load_theme_textdomain($shortname, glocal_LANGUAGES);



/******************************
* 	DEFINE URLs               *
******************************/
define('glocal_PANEL_CSS', get_template_directory_uri(). '/lib/panel/css');
define('glocal_PANEL_JS', get_template_directory_uri() . '/lib/panel/js');
define('glocal_PANEL_IMAGES', get_template_directory_uri() . '/lib/panel/images');

/******************************
* 	LOAD PANEL                *
******************************/
require_once(glocal_CLASS . '/settings.php');
require_once(glocal_CLASS . '/meta_box.php');
require_once(glocal_PANEL . '/header.php');
require_once(glocal_PANEL . '/index.php');
require_once(glocal_PANEL . '/content.php');
require_once(glocal_PANEL . '/company.php');

/******************************
 * 	LOAD ADMIN FRAMEWORK      *
 ******************************/
require_once(TEMPLATEPATH . '/admin/admin-functions.php');
require_once(TEMPLATEPATH . '/admin/admin-interface.php');
require_once(TEMPLATEPATH . '/admin/theme-settings.php');



/******************************
 * 	LOAD SPECIFIC FUNCTIONS   *
 ******************************/
require_once dirname(__FILE__) . '/skl/functions/start.php';
require_once dirname(__FILE__) . '/skl/load.php';

/******************************
* 	  THEME FUNCTIONS         *
******************************/
add_theme_support( 'post-thumbnails' );
add_image_size('portfolio-thumbnails', 180, 120, true);
add_image_size('company-thumbnails', 618, 340, true);
add_image_size('companyall-thumbnails', 700, 700, true);
add_theme_support('automatic-feed-links');

    /**
     *
     * Menu init.
     *
     */
    // Class menu building
    add_filter( 'wp_nav_menu_items', 'new_nav_menu_items' );
    // Filter wp_nav_menu() to add additional links and other output
    function new_nav_menu_items($items) {
        $aftermenu = '<li class="empty"><div> </div></li>';

     $items = $aftermenu.$items;
     return $items;
     }
    add_filter( 'wp_nav_menu_items', 'new_nav_menu_items' );

    /**
    *
    * Information for blog.
    *
    */
    if ( ! function_exists( 'glocal_posted_on' ) ) :
        /**
         * Prints HTML With Meta Information For The Post date/time/author.
         *
         * @since glocal 1.0
         */
        function glocal_posted_on() {
            printf( __( '%2$s', 'glocal' ),
                'meta-prep meta-prep-author',
                sprintf( '<a href="%1$s" title="%2$s" rel="bookmark"><span class="entry-date">%3$s</span></a>',
                    get_permalink(),
                    esc_attr( get_the_time() ),
                    get_the_date()
                ),
                sprintf( '<span class="author vcard"><a class="url fn n" href="%1$s" title="%2$s">%3$s</a></span>',
                    get_author_posts_url( get_the_author_meta( 'ID' ) ),
                    esc_attr( sprintf( __( 'View all posts by %s', 'glocal' ), get_the_author() ) ),
                    get_the_author()
                )
            );
        }

        // Author post
        function glocal_posted_author() {
            printf( __( '%3$s', 'glocal' ),
                'meta-prep meta-prep-author',
                sprintf( '<a href="%1$s" title="%2$s" rel="bookmark"><span class="entry-date">%3$s</span></a>',
                    get_permalink(),
                    esc_attr( get_the_time() ),
                    get_the_date()
                ),
                sprintf( '<span class="vcard"><a class="url fn n" href="%1$s" title="%2$s">%3$s</a></span>',
                    get_author_posts_url( get_the_author_meta( 'ID' ) ),
                    esc_attr( sprintf( __( 'View all posts by %s', 'glocal' ), get_the_author() ) ),
                    get_the_author()
                )
            );
        }
    endif;

    /**
     *
     * Comment style.
     *
     */
    if ( ! function_exists( 'glocal_comment' ) ) :

        /**
         * Template For Comments.
         *
         * Used as a callback by wp_list_comments() for displaying the comments.
         *
         * @since glocal 1.0
         */
        function glocal_comment( $comment, $args, $depth ) {
            $GLOBALS['comment'] = $comment;
            switch ( $comment->comment_type ) :
                case '' : ?>
                   <div class="comments-tree">
                        <div class="comment" id="comment-<?php comment_ID(); ?>">
                            <div class="user-picture">
                                <?php echo get_avatar( $comment, 58 ); ?>
                            </div>
                            <div class="comment-body">
                                <div class="comment-author">
                                    <span class="author"><?php printf( __( '%s', 'glocal' ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?></span> - <span class="date"><?php printf( __( '%1$s at %2$s', 'glocal' ), get_comment_date(),  get_comment_time() ); ?></a>
                                        </span> <?php edit_comment_link( __( '- (Edit)', 'glocal' ), ' ' ); ?> - <?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
                                </div>
                                <div class="comment-text">
                                    <?php comment_text(); ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php
                    break;
                        case 'pingback'  :
                        case 'trackback' :
                    ?>
                    <li class="post pingback">
                    <p><?php _e( 'Pingback:', 'glocal' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __( '(Edit)', 'glocal' ), ' ' ); ?></p>
                    <?php
                    break;
            endswitch;
        }
    endif;


// Get queried user id
function dp_get_queried_user_id() {
    $user = (get_query_var('author_name')) ? get_user_by('slug', get_query_var('author_name')) : get_userdata(get_query_var('author'));

    return $user->ID;
}

    /**
     *
     * Widget init.
     *
     */
    function glocal_widgets_init() {
        // Area
        register_sidebar( array(
            'name' => __( 'Primary Widget Area', 'glocal' ),
            'id' => 'primary-widget-area',
            'description' => __( 'The primary widget area', 'glocal' ),
            'before_widget' => '',
            'after_widget' => '',
            'before_title' => '<div class="block-title"><h3>',
            'after_title' => '</h3></div>',
        ) );


        register_sidebar( array(
            'name' => __( 'Footer Widget Area', 'glocal' ),
            'id' => 'footer-widget-area',
            'description' => __( 'The footer widget area', 'glocal' ),
            'before_widget' => '<div class="footer-widget block-footer">',
            'after_widget' => '</div>',
            'before_title' => '<h3 class="title">',
            'after_title' => '</h3>',
        ) );
    }

    /**
     *
     * JS scripts
     *
     * @param $shortname
     */
    function glocal_enqueue_scripts($shortname)
    {
        if (is_admin()) {
            add_action('admin_head', 'glocal_wpadmin_head');

            if (!empty($_GET['page']))
                if ('glocal_cp' == $_GET['page']) {
                    add_action('admin_head', 'glocal_panel_head');

                    wp_enqueue_script('jquery.ui.1.8.17.js', glocal_PANEL_JS . '/jquery.ui.1.8.17.js', array('jquery'), false, true);
                    wp_enqueue_script('jquery.elastic.source.js', glocal_PANEL_JS . '/jquery.elastic.source.js', array('jquery'), false, true);
                    wp_enqueue_script('jquery.filter.input.js', glocal_PANEL_JS . '/jquery.filter.input.js', array('jquery'), false, true);
                    wp_enqueue_script('jquery.placeholder.min.js', glocal_PANEL_JS . '/jquery.placeholder.min.js', array('jquery'), false, true);
                    wp_enqueue_script('jquery.ui.select.js', glocal_PANEL_JS . '/jquery.ui.select.js', array('jquery'), false, true);
                    wp_enqueue_script('jquery.ui.spinner.js', glocal_PANEL_JS . '/jquery.ui.spinner.js', array('jquery'), false, true);
                    wp_enqueue_script('jquery.metadata.js', glocal_PANEL_JS . '/jquery.metadata.js', array('jquery'), false, true);
                    wp_enqueue_script('jquery.validate.min.js', glocal_PANEL_JS . '/jquery.validate.min.js', array('jquery'), false, true);
                    wp_enqueue_script('jquery.customInput.js', glocal_PANEL_JS . '/jquery.customInput.js', array('jquery'), false, true);
                    wp_enqueue_script('jquery.filestyle.mini.js', glocal_PANEL_JS . '/jquery.filestyle.mini.js', array('jquery'), false, true);
                    wp_enqueue_script('jquery.tmpl.min.js', glocal_PANEL_JS . '/jquery.tmpl.min.js', array('jquery'), false, true);
                    wp_enqueue_script('jquery.tipsy.js', glocal_PANEL_JS . '/jquery.tipsy.js', array('jquery'), false, true);
                    wp_enqueue_script('jquery.colorpicker.js', glocal_PANEL_JS . '/jquery.colorpicker.js', array('jquery'), false, true);
                    wp_enqueue_script('ajaxupload.js', glocal_PANEL_JS . '/ajaxupload.js', array('jquery'), false, true);
                    wp_enqueue_script('glocal_panel_script', glocal_PANEL_JS . '/custom.js', array('jquery'), '1.0.0', true);


                    //Admin JAVASCRIPT localization
                    function localize_vars()
                    {
                        global $shortname;
                        return array(
                            'ARE_YOU_SURE' => __('Are you sure ?', 'glocal' ),
                            'ONLY_IMAGES_ALLOWED' => __('Error: only images are allowed', 'glocal' ),
                            'ONLY_ICO_ALLOWED' => __('Error: only .ico are allowed', 'glocal' ),
                            'ONLY_ZIP_ALLOWED' => __('Error: only .zip are allowed', 'glocal' ),
                            'RELOAD_PAGE' => __('Refresh the page ?', 'glocal' ),
                            'UPLOADING' => __('Uploading ...', 'glocal' ),
                            'ADD_NEW_BACKGROUND' => __('Add new background', 'glocal' ),
                            'CHANGE' => __('Change', 'glocal' ),
                            'EXPAND' => __('Expand', 'glocal' ),
                            'COLLAPSE' => __('Collapse', 'glocal' ),
                            'EDIT' => __('Edit', 'glocal' )
                        );
                    } //End localize_vars
                    wp_localize_script('glocal_panel_script', 'glocal_LANG', localize_vars());

                    wp_enqueue_script('jquery');
                }
                if (isset($_GET['post_type']) OR isset($_GET['action'])){
                            if (('company' == $_GET['post_type'] OR 'edit' == $_GET['action'])){
                                wp_enqueue_script('maps.google', 'http://maps.google.com/maps/api/js?sensor=false', array('jquery'), false, true);
                                wp_enqueue_script('gps_converter', glocal_PANEL_JS . '/gps_converter.js', array('jquery'), '1.0.0', true);
                                wp_enqueue_script('skl', glocal_PANEL_JS . '/skl.js', array('jquery'), '1.0.0', true);
                            }
                }
        } else {

            wp_enqueue_script('maps.google', 'http://maps.google.com/maps/api/js?sensor=false', array('jquery'), false, true);

            wp_enqueue_script('jquery-ui-1.10.3.custom.min.js', get_template_directory_uri() . '/scripts/jquery-ui-1.10.3.custom.min.js', array('jquery'), false, true);
            wp_enqueue_script('jquery.colorbox-min.js', get_template_directory_uri() . '/scripts/jquery.colorbox-min.js', array('jquery'), false, true);
            wp_enqueue_script('jquery.flexslider-min.js', get_template_directory_uri() . '/scripts/jquery.flexslider-min.js', array('jquery'), '1.0.0', true);
            wp_enqueue_script('slider.js', get_template_directory_uri() . '/scripts/slider.js', array('jquery'), '1.0.0', true);
            wp_enqueue_script('jquery.selectbox-0.6.1.js', get_template_directory_uri() . '/scripts/jquery.selectbox-0.6.1.js', array('jquery'), false, true);
            wp_enqueue_script('jquery.tweet.js', get_template_directory_uri() . '/scripts/jquery.tweet.js', array('jquery'), false, true);
            wp_enqueue_script('jflickrfeed.min.js', get_template_directory_uri() . '/scripts/jflickrfeed.min.js', array('jquery'), false, true);
            wp_enqueue_script('superfish.js', get_template_directory_uri() . '/scripts/superfish.js', array('jquery'), '1.0.0', true);
            wp_enqueue_script('jquery.mobilemenu.min.js', get_template_directory_uri() . '/scripts/jquery.mobilemenu.min.js', array('jquery'), '1.0.0', true);
            wp_enqueue_script('jquery.placeholder.min.js', get_template_directory_uri() . '/scripts/jquery.placeholder.min.js', array('jquery'), '1.0.0', true);
            wp_enqueue_script('scripts.js', get_template_directory_uri() . '/scripts/scripts.js', array('jquery'), '1.0.0', true);
            wp_enqueue_script('jquery.gomap-1.3.2.min.js', get_template_directory_uri() . '/scripts/jquery.gomap-1.3.2.min.js', array('jquery'), false, true);
            wp_enqueue_script('jquery.gmap.min.js', get_template_directory_uri() . '/scripts/jquery.gmap.min.js', array('jquery'), false, true);
            wp_enqueue_script('ajax_search.js', get_template_directory_uri() . '/scripts/ajax_search.js', array('jquery'), false, true);
            wp_enqueue_script('jquery.ui.autocomplete.min.js', get_template_directory_uri() . '/scripts/jquery.ui.autocomplete.min.js', array('jquery'), false, true);
            wp_enqueue_script('ajax_search.js', get_template_directory_uri() . '/scripts/ajax_search.js"', array('jquery'), false, true);
            wp_enqueue_script('map.js', get_template_directory_uri() . '/scripts/map.js', array('jquery'), false, true);
            wp_enqueue_script('jquery.sheepItPlugin', get_template_directory_uri() . '/scripts/jquery.sheepItPlugin.js', array('jquery'), false, true);

            //JAVASCRIPT Variables
            function localize_vars()
            {
                global $shortname, $settings;
                return array(
                    'ADIPOLI_START_EFFECT' => $settings['js']['adipoliStart'],
                    'ADIPOLI_HOVER_EFFECT' => $settings['js']['adipoliHover'],
                    'MAP_ADRESS' => $settings['glocalcompany']['adress'],
                    'ICONURL' => 'index.php',
                    'AJAXURL' => 'index.php' //admin_url('admin-ajax.php')

                );
            }

            wp_localize_script('glocal_script', 'glocal_SETTINGS', localize_vars());

            wp_enqueue_script('jquery');
        }
    }

    if ( ! isset( $content_width ) ) $content_width = 900;

    add_action('wp_enqueue_scripts', 'glocal_enqueue_scripts');
    add_action('admin_enqueue_scripts', 'glocal_enqueue_scripts');


    // stylesheet include
    function glocal_stylesheet() {
        wp_enqueue_style( 'googleapis', 'http://fonts.googleapis.com/css?family=Titillium+Web:400,600|Patua+One:400|Titillium+Web:400italic,700italic&subset=latin,latin-ext' );
        wp_enqueue_style( 'jquery-ui-1.10.3.custom.min', get_template_directory_uri() . '/css/jquery-ui-1.10.3.custom.min.css' );
        wp_enqueue_style( 'jquery-selectbox', get_template_directory_uri() . '/css/jquery-selectbox.css' );
        wp_enqueue_style( 'style', get_template_directory_uri() . '/style.css' );
        wp_enqueue_style( 'style-color', get_template_directory_uri() . '/css/color.css' );
        wp_enqueue_style( 'responsive-grid', get_template_directory_uri() . '/css/responsive-grid.css' );
        wp_enqueue_style( 'responsive', get_template_directory_uri() . '/css/responsive.css' );
        wp_enqueue_style( 'colorbox', get_template_directory_uri() . '/css/colorbox.css' );
    }
    add_action('wp_print_styles', 'glocal_stylesheet');


    /** Register sidebars */
    add_action( 'widgets_init', 'glocal_widgets_init' );


    /**
     * This theme uses wp_nav_menu() in one location.
     **/

    register_nav_menus( array(
        'primary' => __( 'Primary Menu', 'glocal' ),
    ) );


    /**
     *
     * Return var
     *
     */
    function return_settings()
    {
        global $settings;

        return $settings;
    }
    function return_single_company()
    {
        global $center_single_company;

        return $center_single_company;
    }
    function return_item_adrs_sng_lat()
    {
        global $item_adrs_sng_lat;
        return $item_adrs_sng_lat;
    }
    function return_item_adrs_sng_lng()
    {
        global $item_adrs_sng_lng;
        return $item_adrs_sng_lng;
    }
    function return_item_first_cat()
    {
        global $item_first_cat;
        return $item_first_cat;
    }
    function return_search_s()
    {
        global $glocal_search_s;
        return $glocal_search_s;
    }
    function return_search_location()
    {
        global $glocal_search_location;
        return $glocal_search_location;

    }
    function return_search_category()
    {
        global $glocal_search_category;
        return $glocal_search_category;

    }


    /**
     *
     * Pagination company.
     *
     */

    function glocal_pagenavi($pages = '', $range = 2)
    {
        $showitems = ($range * 2)+1;

        global $paged;
        if(empty($paged)) $paged = 1;

        if($pages == '')
        {
            global $wp_query;
            $pages = $wp_query->max_num_pages;
            if(!$pages)
            {
                $pages = 1;
            }
        }

        if(1 != $pages)
        {
            echo "<div class='pagination'> <div class='pagination-buttons'>";
            if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<a href='".get_pagenum_link(1)."'>&laquo;</a>";
            if($paged > 1 && $showitems < $pages) echo "<a href='".get_pagenum_link($paged - 1)."'>&lsaquo;</a>";

            for ($i=1; $i <= $pages; $i++)
            {
                if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
                {
                    echo ($paged == $i)? "<a href='#' class='current-page'>".$i."</a>":"<a href='".get_pagenum_link($i)."' class='inactive' >".$i."</a>";
                }
            }
            if ($paged < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($paged + 1)."'>&rsaquo;</a>";
            if ($paged < $pages-1 && $paged+$range-1 < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($pages)."'>&raquo;</a>";
            echo "</div></div>";
        }
    }

    /**
     *
     * Search filter.
     *
     */
    function glocal_search_filter( $query ) {
        if ( $query->is_search ) {
            $query->set( 'post_type', array('company') );
        }
        return $query;
    }
    add_filter('pre_get_posts','glocal_search_filter');



    /**
     *
     * MultiPostThumbnails plugin add.
     *
     */
    if (class_exists('MultiPostThumbnails')) {

        new MultiPostThumbnails(array(
            'label' => '1 Image',
            'id' => '1-image',
            'post_type' => 'company'
        ) );

        new MultiPostThumbnails(array(
            'label' => '2 Image',
            'id' => '2-image',
            'post_type' => 'company'
        ) );

        new MultiPostThumbnails(array(
            'label' => '3 Image',
            'id' => '3-image',
            'post_type' => 'company'
        ) );

        new MultiPostThumbnails(array(
            'label' => '4 Image',
            'id' => '4-image',
            'post_type' => 'company'
        ) );

        new MultiPostThumbnails(array(
            'label' => '5 Image',
            'id' => '5-image',
            'post_type' => 'company'
        ) );
        new MultiPostThumbnails(array(
            'label' => '6 Image',
            'id' => '6-image',
            'post_type' => 'company'
        ) );
        new MultiPostThumbnails(array(
            'label' => '6 Image',
            'id' => '6-image',
            'post_type' => 'company'
        ) );
        new MultiPostThumbnails(array(
            'label' => '7 Image',
            'id' => '7-image',
            'post_type' => 'company'
        ) );
        new MultiPostThumbnails(array(
            'label' => '8 Image',
            'id' => '8-image',
            'post_type' => 'company'
        ) );
    }


    /**
     *
     * Custom login/admin style.
     *
     */


function add_theme_caps() {
    $capability_type = 'company';
    $capabilitiesAdmin = array(
        "edit_{$capability_type}" => true,
        "read_{$capability_type}" => true,
        "delete_{$capability_type}" => true,
        "edit_{$capability_type}s" => true,
        "edit_others_{$capability_type}s" => true,
        "publish_{$capability_type}s" => true,
        "read_private_{$capability_type}s" => true,
        "delete_{$capability_type}s" => true,
        "delete_private_{$capability_type}s" => true,
        "delete_published_{$capability_type}s" => true,
        "delete_others_{$capability_type}s" => true,
        "edit_private_{$capability_type}s" => true,
        "edit_published_{$capability_type}s" => true,
        "assign_company_category" => true
    );

    // set admin capability
    $adminRole = get_role( 'administrator' );
    foreach ($capabilitiesAdmin as $key => $value) {
        $adminRole->add_cap( $key );
    }
}
add_action( 'admin_init', 'add_theme_caps');



    function glocal_login_styles()
    {
           echo '<style type="text/css">
           body.login { background: #f4f4f4; margin: 50px 0px; padding-bottom: 50px; }

           h1 a { background: url("'.get_template_directory_uri().'/images/logo.png") no-repeat top center !important; }

          </style>
           <meta name="robots" content="noindex,nofollow" />';


    }

    add_action('login_head', 'glocal_login_styles');

    require_once glocal_SKL_FRAMEWORK.'/admin/class-tgm-plugin-activation.php';

    add_action( 'tgmpa_register', 'glocal_register_required_plugins' );


    /**
     * Register the required plugins for this theme.
     *
     * In this example, we register two plugins - one included with the TGMPA library
     * and one from the .org repo.
     *
     * The variable passed to tgmpa_register_plugins() should be an array of plugin
     * arrays.
     *
     * This function is hooked into tgmpa_init, which is fired within the
     * TGM_Plugin_Activation class constructor.
     */
    function glocal_register_required_plugins() {

        /**
         * Array of plugin arrays. Required keys are name and slug.
         * If the source is NOT from the .org repo, then source is also required.
         */
        $plugins = array(

            // This is an example of how to include a plugin pre-packaged with a theme
            array(
                'name'     				=> 'Revolution slider', // The plugin name
                'slug'     				=> 'revslider', // The plugin slug (typically the folder name)
                'source'   				=> get_stylesheet_directory() . '/plugins/revslider.zip', // The plugin source
                'required' 				=> false, // If false, the plugin is only 'recommended' instead of required
                'version' 				=> '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
                'force_activation' 		=> false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
                'force_deactivation' 	=> false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
                'external_url' 			=> '', // If set, overrides default API URL and points to an external URL
            ),
            array(
                'name'     => 'Types - Complete Solution for Custom Fields and Types',
                'slug'     => 'types',
                'required' => false, // only recommended
            ),
            array(
                'name'     => 'Kebo - Twitter Feed',
                'slug'     => 'kebo-twitter-feed',
                'required' => false, // only recommended
            )

        );

        // Change this to your theme text domain, used for internationalising strings
        $theme_text_domain = 'glocal';

        /**
         * Array of configuration settings. Amend each line as needed.
         * If you want the default strings to be available under your own theme domain,
         * leave the strings uncommented.
         * Some of the strings are added into a sprintf, so see the comments at the
         * end of each line for what each argument will be.
         */
        $config = array(
            'domain'       		=> $theme_text_domain,         	// Text domain - likely want to be the same as your theme.
            'default_path' 		=> '',                         	// Default absolute path to pre-packaged plugins
            'parent_menu_slug' 	=> 'themes.php', 				// Default parent menu slug
            'parent_url_slug' 	=> 'themes.php', 				// Default parent URL slug
            'menu'         		=> 'install-required-plugins', 	// Menu slug
            'has_notices'      	=> true,                       	// Show admin notices or not
            'is_automatic'    	=> false,					   	// Automatically activate plugins after installation or not
            'message' 			=> '',							// Message to output right before the plugins table
            'strings'      		=> array(
                'page_title'                       			=> __( 'Install Required Plugins', $theme_text_domain ),
                'menu_title'                       			=> __( 'Install Plugins', $theme_text_domain ),
                'installing'                       			=> __( 'Installing Plugin: %s', $theme_text_domain ), // %1$s = plugin name
                'oops'                             			=> __( 'Something went wrong with the plugin API.', $theme_text_domain ),
                'notice_can_install_required'     			=> _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.' ), // %1$s = plugin name(s)
                'notice_can_install_recommended'			=> _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.' ), // %1$s = plugin name(s)
                'notice_cannot_install'  					=> _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' ), // %1$s = plugin name(s)
                'notice_can_activate_required'    			=> _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.' ), // %1$s = plugin name(s)
                'notice_can_activate_recommended'			=> _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.' ), // %1$s = plugin name(s)
                'notice_cannot_activate' 					=> _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' ), // %1$s = plugin name(s)
                'notice_ask_to_update' 						=> _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.' ), // %1$s = plugin name(s)
                'notice_cannot_update' 						=> _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' ), // %1$s = plugin name(s)
                'install_link' 					  			=> _n_noop( 'Begin installing plugin', 'Begin installing plugins' ),
                'activate_link' 				  			=> _n_noop( 'Activate installed plugin', 'Activate installed plugins' ),
                'return'                           			=> __( 'Return to Required Plugins Installer', $theme_text_domain ),
                'plugin_activated'                 			=> __( 'Plugin activated successfully.', $theme_text_domain ),
                'complete' 									=> __( 'All plugins installed and activated successfully. %s', $theme_text_domain ), // %1$s = dashboard link
                'nag_type'									=> 'updated' // Determines admin notice type - can only be 'updated' or 'error'
            )
        );

        tgmpa( $plugins, $config );

    }

// WPML support
function languages_list(){
    include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

    if ( is_plugin_active('sitepress-multilingual-cms/sitepress.php') ){

        $wpml_type = get_option('opt_glocal_wpml_type');
        $opt_glocal_site_rtl =  get_option('opt_glocal_site_rtl');

       if($opt_glocal_site_rtl == "true"){$print_rtl = 'style="float: left;"';}

        if(!$wpml_type){
            $wpml_type = "Language code";
        }

        if($wpml_type == "Language name"){
            $languages = icl_get_languages('skip_missing=0');
            if(!empty($languages)){
                echo '<div class="languages-name block"'.$print_rtl.'>';
                foreach($languages as $l){
                    if(!$l['active']) echo '<a href="'.$l['url'].'">';
                    if($l['active']) echo '<a href="'.$l['url'].'" class="current">';
                    echo icl_disp_language($l['translated_name'], $l['']);
                    if(!$l['active']) echo '</a>';
                }
                echo '</div>';
            }

        }

        if($wpml_type == "Language code"){
            $languages = icl_get_languages('skip_missing=0');
            if(!empty($languages)){
                echo '<div class="languages block"'.$print_rtl.'>';
                foreach($languages as $l){
                    if(!$l['active']) echo '<a href="'.$l['url'].'">';
                    if($l['active']) echo '<a href="'.$l['url'].'" class="current">';
                    echo icl_disp_language($l['language_code'], $l['']);
                    if(!$l['active']) echo '</a>';
                }
                echo '</div>';
            }
        }

        if($wpml_type == "Flag"){
            $languages = icl_get_languages('skip_missing=0');
            if(!empty($languages)){
                echo '<div class="languages-flag block"'.$print_rtl.'>';

                foreach($languages as $l){
                    if($l['country_flag_url']){
                        if(!$l['active']) echo '<a href="'.$l['url'].'">';
                        if($l['active']) echo '<a href="'.$l['url'].'" class="current">';
                        echo '<img src="'.$l['country_flag_url'].'" height="12" alt="'.$l['language_code'].'" width="18" />';
                        if(!$l['active']) echo '</a>';

                    }


                }
                echo '</div>';
            }
        }


    }

}


function add_fields_search(){

    $tt_fields = array("Founded", "Turnover", "Number of Employees", "Range of Services tags", "Legal Entity");

    return $tt_fields;
}

function add_type_fields_search(){
global $wpdb;
    include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

    if ( is_plugin_active('types/wpcf.php') ){

        $types_fields = $wpdb->get_row("SELECT * FROM wp_postmeta WHERE meta_key = '_wp_types_group_fields'");
        $fields_str = trim($types_fields->meta_value, ",") ;
        $fields_expl = explode(',', $fields_str);
        $i = 0;
        foreach($fields_expl as $tag){

            $fields[$i] =  $tag;
            $i++;
        }

        $tt_fields_type = $fields;

        return $tt_fields_type;
    }

}



function revolutionslider_array(){
global $wpdb;

    $aliases = array();

    $aliasDb = $wpdb->get_results( "SELECT * FROM ".$wpdb->prefix."revslider_sliders" );
    foreach ($aliasDb as $alias) {
        array_push($aliases, $alias->alias);
    }

    $tt_slider = $aliases;
    return $tt_slider;
}





require_once('lib/class/vt_resizer.php');


function vt_resizer($img = NULL, $width = NULL, $height = NULL) {

    if($img != NULL) {

        $image = vt_resize('', $img, $width, $height, true );

        if(is_array($image)) { return $image['url']; } else { return ''; }

    }
    else
    { return ''; }

}