<?php

// Add New Post Type For company
function glocal_company_posttype() {
    global $shortname;
    register_post_type( 'company',
        array(
            'labels' => array(
                'name' => __( 'Company', 'glocal'),
                'singular_name' => __( 'Company Item', 'glocal'),
                'add_new' => __( 'Add New Item', 'glocal'),
                'add_new_item' => __( 'Add New Company Item', 'glocal'),
                'edit_item' => __( 'Edit Company Item', 'glocal'),
                'new_item' => __( 'Add New Company Item', 'glocal'),
                'view_item' => __( 'View Item', 'glocal'),
                'search_items' => __( 'Search Company', 'glocal'),
                'not_found' => __( 'No Company items found', 'glocal'),
                'not_found_in_trash' => __( 'No Company items found in trash', 'glocal')
            ),
            'public' => true,
            'publicly_queryable' => true,
            'query_var' => true,
            'supports' => array(
                    'title',
                    'thumbnail',
                    'comments',
                'editor'
            ),
            'taxonomies' => array('company_category'),
            'capability_type' => 'company',
            'rewrite' => array("slug" => "company"),
            'show_ui' => true,
            'show_in_menu' => true,
            'menu_icon' => get_template_directory_uri().'/skl/framework/img/company.png',
            'menu_position' => 31
        )
    );

    // Add company Categories
    register_taxonomy('company_category', 'company',
        array(
            'labels' => array(
                                'name' => _x( 'Company Categories', $shortname),
                                'singular_name' => _x( 'Company Catygory', $shortname),
                                'search_items' =>  __( 'Search Company Categories', 'glocal'),
                                'all_items' => __( 'All Company Categories', 'glocal'),
                                'edit_item' => __( 'Edit Company Catygory', 'glocal'),
                                'update_item' => __( 'Update Catygory', 'glocal'),
                                'add_new_item' => __( 'Add New Company Catygory', 'glocal'),
                                'new_item_name' => __( 'New Company Catygory Name', 'glocal'),
                                'menu_name' => __( 'Company Categories', 'glocal'),
                              ),
            'hierarchical' => true,
            'show_ui' => true,
            'rewrite' => array( 'slug' => 'company_category' ),
            'capabilities' => array(
                'assign_terms' => 'assign_company_category'
            )
        )
    );
}

add_action('init', 'glocal_company_posttype');

// Set as many image sizes as you want
add_filter("manage_edit-company_columns", "company_edit_columns");
add_action("manage_posts_custom_column",  "company_columns_display", 10, 2);


function company_edit_columns($company_columns){
    global $shortname;
    $company_columns = array(
        "cb" => "<input type=\"checkbox\" />",
        'thumbnail'		=> __( 'Image', 'glocal'),
        "title" => _x('Title', 'column name', 'glocal'),
        "address" => __('Address', 'glocal'),
        "company_category" => __('Categories', 'glocal'),
        "author" => __('Author', 'glocal'),
        "date" => __('Date', 'glocal'),
    );
    return $company_columns;
}

function company_columns_display($company_columns, $post_id){
    global $shortname;

    switch ($company_columns) {

        case "address":
            $adrs = get_post_meta( $post_id, 'glocal_address_country_name', true );
            $adrs2 = get_post_meta( $post_id, 'glocal_address_region_name', true );
            $adrs3 = get_post_meta( $post_id, 'glocal_address_name', true );
            if ($adrs) {
                echo $adrs.', '.$adrs2.', '.$adrs3;
            } else {
                echo __('Unavailable', 'glocal');
            }
        break;

        case "company_category":
            $terms = get_the_terms( $post->ID, 'company_category' );
            $item_cats = array();
            $item_cats_slugs = array();

            if(is_array($terms)) {
                foreach ($terms as $term ) {
                    $item_cats[] = $term->name;
                    $item_cats_slugs[] = $term->slug;
                }
            }

            $item_cats_str = join(", ", $item_cats);
            echo  $item_cats_str;
        break;
    }
}



add_action( 'company_category_edit_form_fields', 'edit_skl_item_category', 10, 2);
add_action( 'company_category_add_form_fields', 'add_skl_item_category', 10, 2);
function edit_skl_item_category($tag) {
    $marker = get_option( 'glocal_category_'.$tag->term_id.'_marker', '' );
    $icon = get_option( 'glocal_category_'.$tag->term_id.'_icon', '' );
    $icon_grey = get_option( 'glocal_category_'.$tag->term_id.'_icon_grey', '' );
 ?>
    <tr class="form-field">
        <th scope="row" valign="top"><label for="glocal_category_marker">Marker on map</label></th>
        <td>
            <input type="text" name="glocal_category_marker" id="glocal_category_marker" value="<?php echo $marker; ?>" style="width: 80%;"/>
            <input type="button" value="Select Image" class="media-select" id="glocal_category_marker_selectMedia" name="glocal_category_marker_selectMedia" style="width: 15%;">
            <br />
            <p class="description">Marker image on map for category</p>
        </td>
    </tr>
    <tr class="form-field">
        <th scope="row" valign="top"><label for="glocal_category_icon">Hover icon</label></th>
        <td>
            <input type="text" name="glocal_category_icon" id="glocal_category_icon" value="<?php echo $icon; ?>" style="width: 80%;"/>
            <input type="button" value="Select Image" class="media-select" id="glocal_category_icon_selectMedia" name="glocal_category_icon_selectMedia" style="width: 15%;">
            <br />
            <p class="description">Colored icon for category</p>
        </td>
    </tr>
    <tr class="form-field">
        <th scope="row" valign="top"><label for="glocal_category_icon_grey">Grey icon</label></th>
        <td>
            <input type="text" name="glocal_category_icon_grey" id="glocal_category_icon_grey" value="<?php echo $icon_grey; ?>" style="width: 80%;"/>
            <input type="button" value="Select Image" class="media-select" id="glocal_category_icon_grey_selectMedia" name="glocal_category_icon_grey_selectMedia" style="width: 15%;">
            <br />
            <p class="description">Default icon for category</p>
        </td>
    </tr>

<?php
}
function add_skl_item_category($tag) {
    ?>
    <tr class="form-field">
        <th scope="row" valign="top"><label for="glocal_category_marker">Marker on map</label></th>
        <td>
            <input type="text" name="glocal_category_marker" id="glocal_category_marker" value="<?php echo $marker; ?>" style="width: 80%;"/>
            <input type="button" value="Select Image" class="media-select" id="glocal_category_marker_selectMedia" name="glocal_category_marker_selectMedia" style="width: 15%;">
            <br />
            <p class="description">Marker image on map for category</p>
        </td>
    </tr>
    <tr class="form-field">
        <th scope="row" valign="top"><label for="glocal_category_icon">Hover icon</label></th>
        <td>
            <input type="text" name="glocal_category_icon" id="glocal_category_icon" value="<?php echo $icon; ?>" style="width: 80%;"/>
            <input type="button" value="Select Image" class="media-select" id="glocal_category_icon_selectMedia" name="glocal_category_icon_selectMedia" style="width: 15%;">
            <br />
            <p class="description">Colored icon for category</p>
        </td>
    </tr>
    <tr class="form-field">
        <th scope="row" valign="top"><label for="glocal_category_icon">Grey icon</label></th>
        <td>
            <input type="text" name="glocal_category_icon_grey" id="glocal_category_icon_grey" value="<?php echo $icon_grey; ?>" style="width: 80%;"/>
            <input type="button" value="Select Image" class="media-select" id="glocal_category_icon_grey_selectMedia" name="glocal_category_icon_grey_selectMedia" style="width: 15%;">
            <br />
            <p class="description">Default icon for category</p>
        </td>
    </tr>

<?php
}




// TABLE COLUMNS
add_filter("manage_edit-company_category_columns", 'glocal_category_columns');
function glocal_category_columns($category_columns) {
    $new_columns = array(
        'cb'        		=> '<input type="checkbox" />',
        'name'      		=> __('Name', 'glocal'),
        'marker'			=> __('Marker', 'glocal'),
        'icon' 				=> __('Icon', 'glocal'),
        'icon_grey'			=> __('Icon grey', 'glocal'),
        'description'     	=> __('Description', 'glocal'),
        'slug'      		=> __('Slug', 'glocal'),
        'posts'     		=> __('Items', 'glocal'),
    );
    return $new_columns;
}

add_filter("manage_company_category_custom_column", 'manage_glocal_category_columns', 10, 3);
function manage_glocal_category_columns($out, $column_name, $cat_id) {
    $marker = get_option( 'glocal_category_'.$cat_id.'_marker', '' );
    $icon = get_option( 'glocal_category_'.$cat_id.'_icon', '' );
    $icon_grey = get_option( 'glocal_category_'.$cat_id.'_icon_grey', '' );

    switch ($column_name) {

        case 'marker':
            if(!empty($marker)){
                $out .= '<img src="'.$marker.'" alt="">';
            }
            break;
        case 'icon':
            if(!empty($icon)){
                $out .= '<img src="'.$icon.'" alt="" >';
            }
            break;
        case 'icon_grey':
            if(!empty($marker)){
                $out .= '<img src="'.$icon_grey.'" alt="">';
            }
            break;
        default:
            break;
    }
    return $out;
}



add_action( 'created_company_category', 'save_glocal_category', 10, 2);
add_action( 'edited_company_category', 'save_glocal_category', 10, 2);
function save_glocal_category($term_id) {
    if (!$term_id) return;

    if (isset($_POST['glocal_category_marker'])){
        $name = 'glocal_category_' .$term_id. '_marker';
        update_option( $name, $_POST['glocal_category_marker'] );
    }

    if (isset($_POST['glocal_category_icon'])){
        $name = 'glocal_category_' .$term_id. '_icon';
        update_option( $name, $_POST['glocal_category_icon'] );
    }

    if (isset($_POST['glocal_category_icon_grey'])){
        $name = 'glocal_category_' .$term_id. '_icon_grey';
        update_option( $name, $_POST['glocal_category_icon_grey'] );
    }

}

add_action( 'deleted_term_taxonomy', 'delete_glocal_category' );
function delete_glocal_category($id) {
    delete_option( 'glocal_category_'.$id.'_marker' );
    delete_option( 'glocal_category_'.$id.'_icon' );
    delete_option( 'glocal_category_'.$id.'_icon_grey' );
}



// company item options
$prefix = $shortname . "_";
$metaBoxes = array();
// generate meta_box options
$metaBoxes[] =
array
(
    'id' => 'company-options',
    'title' => __('Options', 'glocal'),
    'pages' => array('company'),
    'context' => 'normal',
    'priority' => 'low',
    'fields' => array(
        array(
            'name' => __('Welcom text', 'glocal'),
            'id' => $prefix . 'wlctext_name',
            'type' => 'text',
            'desc' => __('Welcome text company', 'glocal')
        ),
        array(
            'name' => __('Description', 'glocal'),
            'id' => $prefix . 'company_doc_desc',
            'type' => 'textarea',
            'std' => '',
            'desc' => __('Description company.', 'glocal')
        ),
        array(
            'name' => __('URL images company', 'glocal' ),
            'id' => $prefix . 'company_image1_url',
            'type' => 'text',
            'desc' => __('Url images company.', 'glocal' )
        ),
        array(
            'name' => __('Social facebook', 'glocal'),
            'id' => $prefix . 'company_soc_fb',
            'type' => 'text',
            'desc' => __('', 'glocal')
        ),
        array(
            'name' => __('Social twitter', 'glocal'),
            'id' => $prefix . 'company_soc_tw',
            'type' => 'text',
            'desc' => __('', 'glocal')
        ),
        array(
            'name' => __('Social Google+', 'glocal'),
            'id' => $prefix . 'company_soc_gp',
            'type' => 'text',
            'desc' => __('', 'glocal')
        ),
        array(
            'name' => __('Address company', 'glocal'),
            'id' => $prefix . 'address_country_name',
            'type' => 'text',
            'desc' => __('Country', 'glocal')
        ),
        array(
            'name' => __(' ', 'glocal'),
            'id' => $prefix . 'address_region_name',
            'type' => 'text',
            'desc' => __('Region', 'glocal')
        ),
        array(
            'name' => __('  ', 'glocal'),
            'id' => $prefix . 'address_name',
            'type' => 'text',
            'desc' => __('Address', 'glocal')
        ),
        array(
            'type' => 'button-gps',
            'id' => "",
            'name' => __('  ', 'glocal'),
        ),
        array(
            'name' => __('GPS coordinate (this field need to show marker on map)', 'glocal'),
            'id' => $prefix . 'address_lat',
            'type' => 'text',
            'std' => '0',
            'desc' => __('Latitude', 'glocal')
        ),
        array(
            'name' => __(' ', 'glocal'),
            'id' => $prefix . 'address_lng',
            'type' => 'text',
            'std' => '0',
            'desc' => __('longitude', 'glocal')
        ),
        array(
            'name' => __('Show Streetview instead of the map in detail', 'glocal'),
            'id' => $prefix . 'shw_strv',
            'type' => 'select',
            'options' => array('Map', 'Streetview', 'Blank'),
            'desc' => __('', 'glocal')
        ),
        array(
            'name' => __('Founded', 'glocal'),
            'id' => $prefix . 'company_doc_founded',
            'type' => 'text',
            'desc' => __('Founded company.', 'glocal')
        ),
        array(
            'name' => __('Legal Entity', 'glocal'),
            'id' => $prefix . 'company_doc_legal',
            'type' => 'text',
            'desc' => __(' ', 'glocal')
        ),
        array(
            'name' => __('Turnover', 'glocal'),
            'id' => $prefix . 'company_doc_turnover',
            'type' => 'text',
            'desc' => __(' ', 'glocal')
        ),
        array(
            'name' => __('Number of Employees', 'glocal'),
            'id' => $prefix . 'company_doc_empl',
            'type' => 'text',
            'desc' => __(' ', 'glocal')
        ),
        array(
            'name' => __('Phone', 'glocal'),
            'id' => $prefix . 'company_doc_phone',
            'type' => 'text',
            'desc' => __('Company phone.', 'glocal')
        ),
        array(
            'name' => __('Fax', 'glocal'),
            'id' => $prefix . 'company_soc_fax',
            'type' => 'text',
            'desc' => __('', 'glocal')
        ),
        array(
            'name' => __('E-mail', 'glocal'),
            'id' => $prefix . 'company_soc_email',
            'type' => 'text',
            'desc' => __('', 'glocal')
        ),

        array(
            'name' => __('Email contact form', 'glocal'),
            'id' => $prefix . 'company_soc_email_form',
            'type' => 'select',
            'options' => array('Hide', 'Display'),
            'desc' => __('Contact form display on single company page', 'glocal')
        ),

        array(
            'name' => __('Contact tabs', 'glocal'),
            'id' => $prefix . 'company_contact_tabs_act',
            'type' => 'select',
            'options' => array('Hide', 'Display')
        ),

        array(
            'name' => __('Website', 'glocal'),
            'id' => $prefix . 'company_soc_web',
            'type' => 'text',
            'desc' => __('', 'glocal')
        ),
        array(
            'name' => __('Range of Services tags', 'glocal'),
            'id' => $prefix . 'company_tags',
            'type' => 'text',
            'desc' => __('(Separate by , )', 'glocal')
        ),
        array(
            'name' => __('Opening Hours:', 'glocal'),
            'id' => $prefix . 'company_soc_openhrs1',
            'type' => 'text',
            'desc' => __('1 interval, (days, hours !!Separate by , )', 'glocal')
        ),
        array(
            'name' => __(' ', 'glocal'),
            'id' => $prefix . 'company_soc_openhrs2',
            'type' => 'text',
            'desc' => __('2 interval', 'glocal')
        ),
        array(
            'name' => __(' ', 'glocal'),
            'id' => $prefix . 'company_soc_openhrs3',
            'type' => 'text',
            'desc' => __('3 interval', 'glocal')
        ),
        array(
            'name' => __(' ', 'glocal'),
            'id' => $prefix . 'company_soc_openhrs4',
            'type' => 'text',
            'desc' => __('4 interval', 'glocal')
        )
    ),
    'fields2' => array(
        array(
            'name2' => __('Activate portfolio tabs on site', 'glocal'),
            'id' => $prefix . 'company_portfolio_tabs_act',
            'options' => array('Hide', 'Display'),
            'page2' => 'select'
        ),

        array(
            'name2' => __('Grid portfolio ', 'glocal'),
            'id' => $prefix . 'company_portfolio_grid',
            'options' => array('1 column', '2 columns', '3 columns', '4 columns'),
            'page2' => 'select'
        ),

        array(
            'name2' => __('Gallery', 'glocal'),
            'id' => 'glocal_company_gallery',
            'page2' => 'portfolio_image'
        )
    )

);


// print options company add/edit
foreach ($metaBoxes as $metaBox)
{
    $box = new Meta_Box($metaBox);
}


