<?php

	// Add New Post Type For content
	function glocal_content_posttype() {
		global $shortname;
		register_post_type( 'content',
			array(
				'labels' => array(
					'name' => __( 'Content', 'glocal'),
					'singular_name' => __( 'Content Item', 'glocal'),
					'add_new' => __( 'Add New Item', 'glocal'),
					'add_new_item' => __( 'Add New content Item', 'glocal'),
					'edit_item' => __( 'Edit content Item', 'glocal'),
					'new_item' => __( 'Add New content Item', 'glocal'),
					'view_item' => __( 'View Item', 'glocal'),
					'search_items' => __( 'Search content',  'glocal'),
					'not_found' => __( 'No content items found',  'glocal'),
					'not_found_in_trash' => __( 'No content items found in trash', 'glocal')
				),
				'public' => true,
				'supports' => array( 'title', 'thumbnail'),
				'taxonomies' => array('content_category'),
				'capability_type' => 'post',
				'rewrite' => array("slug" => "content"),
				'menu_position' => 4
			)
		);	
	
		// Add content Categories
		register_taxonomy('content_category', 'content', 
			array(
				'labels' => array(
									'name' => _x( 'Content Categories', $shortname),
									'singular_name' => _x( 'Content Catygory', $shortname),
									'search_items' =>  __( 'Search content Categories', 'glocal'),
									'all_items' => __( 'All content Categories', 'glocal'),
									'edit_item' => __( 'Edit content Catygory', 'glocal'),
									'update_item' => __( 'Update Catygory', 'glocal'),
									'add_new_item' => __( 'Add New content Catygory', 'glocal'),
									'new_item_name' => __( 'New content Catygory Name', 'glocal'),
									'menu_name' => __( 'content Categories', 'glocal'),
								  ),
				'hierarchical' => true,
				'show_ui' => true,
				'rewrite' => array( 'slug' => 'content_category' )
			));
	}

	add_action('init', 'glocal_content_posttype');

	// Set as many image sizes as you want
	add_filter("manage_edit-content_columns", "content_edit_columns");
	add_action("manage_posts_custom_column",  "content_columns_display", 10, 2);

 
	function content_edit_columns($content_columns){
		global $shortname;
		$content_columns = array(
			"cb" => "<input type=\"checkbox\" />",
			"thumbnail" => __('Thumbnail', 'glocal'),
			"title" => _x('Title', 'column name', 'glocal'),
			"url" => __('URL', 'glocal'),
			"author" => __('Author', 'glocal'),
			"date" => __('Date', 'glocal'),
		);
		return $content_columns;
	}
	 
	function content_columns_display($content_columns, $post_id){
		global $shortname;
		
		switch ($content_columns) {
			
			case "thumbnail":
					$width = (int) 80;
					$height = (int) 80;
					$thumbnail_id = get_post_meta( $post_id, '_thumbnail_id', true );
					// image from gallery
					$attachments = get_children( array('post_parent' => $post_id, 'post_type' => 'attachment', 'post_mime_type' => 'image') );
					if ($thumbnail_id)
						$thumb = wp_get_attachment_image( $thumbnail_id, array($width, $height), true );
					elseif ($attachments) {
						foreach ( $attachments as $attachment_id => $attachment ) {
							$thumb = wp_get_attachment_image( $attachment_id, array($width, $height), true );
						}
					}
					if ( isset($thumb) && $thumb ) {
						echo $thumb;
					} else {
						echo __('Unavailable', 'glocal');
					}
				break;
				
			case "url":
					$url = get_post_meta( $post_id, $shortname.'_content_image_url', true );
					if ($url) {
						echo '<a target="_blank" href="'.$url.'">'.$url.'</a>';
					} else {
						echo __('Unavailable', 'glocal');
					}
				break;		
			
		}
	}
	
	// content item options
	$prefix = $shortname . "_";
	$metaBoxes = array();
	
	$metaBoxes[] = array(
	  'id' => 'content-options',
	  'title' => __('Options', 'glocal'),
	  'pages' => array('content'),
	  'context' => 'normal',
	  'priority' => 'low',
	  'fields' => array(
		array(
		  'name' => __('Name', 'glocal'),
		  'id' => $prefix . 'content_name',
		  'type' => 'text',
		  'desc' => __('Name people', 'glocal')
		),
        array(
              'name' => __('Position', 'glocal'),
              'id' => $prefix . 'content_position',
              'type' => 'text',
              'desc' => __('Position people.', 'glocal')
        ),
        array(
          'name' => __('Description', 'glocal'),
           'id' => $prefix . 'content_doc_desc',
           'type' => 'textarea',
           'desc' => __('Description people.', 'glocal')
        ),
          array(
              'name' => __('Social facebook', 'glocal'),
              'id' => $prefix . 'content_soc_fb',
              'type' => 'text',
          ),
          array(
              'name' => __('Social twitter', 'glocal'),
              'id' => $prefix . 'content_soc_tw',
              'type' => 'text',
          ),

          array(
              'name' => __('Social Google+', 'glocal'),
              'id' => $prefix . 'content_soc_gp',
              'type' => 'text',
          )
      ),
        'fields2' => array(
            array(
                'name2' => __('Portfolio is not used', 'glocal'),
                'id' => $prefix . 'company_portfolio_tabs_act',
                'options' => array('Hide'),
                'page2' => 'select'
            )
        )
	);
	foreach ($metaBoxes as $metaBox) {
		$box = new Meta_Box($metaBox);
	}
