/***
Equal Heights function.
***/

var $ = jQuery.noConflict();


/* global document */
jQuery(document).ready(function(){


    var map_lat = jQuery("#markers_center").find(".latitude").html();
    var map_lng = jQuery("#markers_center").find(".longitude").html();

    jQuery('#company-page-map').gMap({
        latitude        : map_lat,
        longitude       : map_lng,
        zoom            : 10,
        scaleControl    : true,
        scrollwheel     : false,
        markers         : [{latitude : map_lat, longitude : map_lng}]
    });



    /***
     1. Main menu jQuery plugin.
	***/

	jQuery('#sf-menu').superfish();

	/***
     2. Mobile Menu jQuery plugin.
	***/

	jQuery('#sf-menu').mobileMenu({
		switchWidth: 767,
		prependTo: '.main-menu',
		combine: false
	});

	/***
     3. Adding sliders for the advanced search form. Implementing switching between default and advanced search forms.
	***/

	/* Calling slider() function and setting slider options. */
    var valuedist = jQuery("#search-params").find(".default").html();
    var mindist = jQuery("#search-params").find(".mininmum").html();
    var maxdist = jQuery("#search-params").find(".maximum").html();
    var abrv = jQuery("#search-params").find(".abrv").html();
    var maxday = jQuery("#search-params").find(".dmax").html();
	jQuery('#slider-distance').slider({
		range: 'min',
        value: Number(valuedist),
        min:  Number(mindist),
        max: Number(maxdist),
		slide: function( event, ui ) {
            if ( ui.value == maxdist ) {
                jQuery('#distance').text( '∞' );
                jQuery('#distance-input').attr( 'value', 9999999999999 );
            } else {
                jQuery('#distance').text( ui.value + ' ' + abrv );
                jQuery('#distance-input').attr('value', ui.value );
            }
		}
	});
	/* Showing the default value on the page load. */
    jQuery('#distance').text( jQuery('#slider-distance').slider('value') + ' ' + abrv  );
    jQuery('#distance-input').attr( 'value', jQuery('#slider-distance').slider('value') )

	/* Calling slider() function and setting slider options. */

	jQuery('#slider-rating').slider({
		range: 'min',
		value: 50,
		min: 0,
		max: 100,
		slide: function( event, ui ) {
			jQuery('#rating').text( '> ' + ui.value + '%' );
            jQuery('#rating-input').attr( 'value', ui.value );
		}
	});
	/* Showing the default value on the page load. */
	jQuery('#rating').text( '> ' + jQuery('#slider-rating').slider('value') + '%' );
    jQuery('#rating-input').attr('value', jQuery('#slider-rating').slider('value'));

	/* Calling slider() function and setting slider options. */

	jQuery('#slider-days-published').slider({
		range: 'min',
		value: 10,
		min: 0,
		max: Number(maxday),
		slide: function( event, ui ) {

            if ( ui.value == maxday ) {
                jQuery('#days-published').text( '∞' );
                jQuery('#days-published-input').attr( 'value', 9999999999999 );
            } else {
                jQuery('#days-published').text( '< ' + ui.value );
                jQuery('#days-published-input').attr('value', ui.value );
            }



		}
	});
	/* Showing the default value on the page load. */
	jQuery('#days-published').text( '< ' + jQuery('#slider-days-published').slider('value') );
    jQuery('#days-published-input').attr('value', jQuery('#slider-days-published').slider('value') );

	/***
     4. Calling selectbox() plugin to create custom stylable select lists.
	***/

	jQuery('#category-selector-default').selectbox({
		animationSpeed: "fast",
		listboxMaxSize: 400
	});
	jQuery('#category-selector-advanced').selectbox({
		animationSpeed: "fast",
		listboxMaxSize: 400
	});
	jQuery('#country-selector-advanced').selectbox({
		animationSpeed: "fast",
		listboxMaxSize: 400
	});

	/***
     5. Custom logic for switching between search default/advanced forms and hiding/showing map.
	***/

    jQuery('#disable-map-button').click(function(event) {
        event.preventDefault();
        if ( jQuery('#disable-map-button').hasClass('map-enable') ) {
            jQuery('#disable-map-button').removeClass('map-enable').addClass('map-disable');


            $("#map").html('');
            $("#map").removeData();
            loadmap(false);
            ajaxGetMarkers();

        } else {
            jQuery('#disable-map-button').removeClass('map-disable').addClass('map-enable');
            $("#map").html('');
            $("#map").removeData();
            loadmap(true);
            ajaxGetMarkers();
        }
    });

	jQuery('#advanced-search').hide();
	jQuery('#advanced-search-button').click(function(event) {
		/* Preventing default link action */
		event.preventDefault();
		if ( jQuery('#hide-map-button').hasClass('map-collapsed') ) {
			jQuery('#map').animate({ height: '620px' });
			jQuery('#hide-map-button').text('Hide Map').removeClass('map-collapsed').addClass('map-expanded');

		}

		jQuery('#default-search').slideToggle('fast');
		jQuery('#advanced-search').slideToggle('fast');
		if (jQuery(this).text() === 'Advanced Search') {
			jQuery(this).text('Simple Search');
			jQuery(this).addClass('expanded');
		} else {
			jQuery(this).text('Advanced Search');
			jQuery(this).removeClass('expanded');
		}
	});

	jQuery('#hide-map-button').click(function(event) {
		event.preventDefault();
		if ( jQuery(this).hasClass('map-expanded') ) {
			if ( jQuery('#advanced-search-button').hasClass('expanded') ) {
				jQuery('#default-search').slideToggle('fast');
				jQuery('#advanced-search').slideToggle('fast');
				jQuery('#advanced-search-button').text('Advanced Search');
				jQuery('#advanced-search-button').removeClass('expanded');
			}
			jQuery('#map').animate({ height: '220px' });
			jQuery(this).text('Show Map').removeClass('map-expanded').addClass('map-collapsed');
		} else {
			jQuery('#map').animate({ height: '620px' });
			jQuery(this).text('Hide Map').removeClass('map-collapsed').addClass('map-expanded');
        }
	});
	
	/***
     6. Logic for custom picture gallery with thumbnails, that appears on company-page.html.
	***/

	jQuery('.photo-thumbnails .thumbnail').click(function() {
		// Setting class "current" to the thumbnail that was clicked.
		jQuery('.photo-thumbnails .thumbnail').removeClass('current');
		jQuery(this).addClass('current');
		// Getting "src" attribute of the image that was clicked.
		var path = jQuery(this).find('img').attr('src');
		// Setting "src" attribute of the big image.
		jQuery('#big-photo img').attr('src', path);
	});

	/***
     7. Adding <input> placeholders (for IE 8-9).
	***/

	jQuery('.text-input-grey, .text-input-black').placeholder();

	/***
     8. Adding autocomplete.
	***/

    /* remove on page */

	/***
     9. Colorbox for portfolio images.
	***/

	jQuery('.portfolio-enlarge').colorbox({ maxWidth: '90%' });

	/***
	10. Boxed version switcher.
	***/

	jQuery('#boxed-switch').click(function() {
		jQuery('.section').toggleClass('boxed');
	});

	/***
	11. Login & Register form bubbles.
	***/

	jQuery('#login-link').click(function() {
		jQuery('#login-form').toggle();
		jQuery('#register-form').hide();
	});
	jQuery('#register-link').click(function() {
		jQuery('#register-form').toggle();
		jQuery('#login-form').hide();
	});

    /***
     12. Contact form.
     ***/

    // Needed variables
    var $contactform 	= $('#contact-message-form');

    $contactform.submit(function(){
        $('input[type=submit]').attr('disabled', 'disabled');
        $.ajax({
            type: "POST",
            dataType : 'json',
            data: $(this).serialize()+"&action=send_mail_glocal"

        }).success(function(response)
            {
                if(response.success == 200){
                    el = '<div class="status-success">'+ response.message +'</div>';
                }
                else
                {
                    el = '<div class="status-error">'+ response.message +'</div>';
                }

                // Hide any previous response text
                $(".status-error,.status-success").remove();
                e = $(el);
                e.hide();
                // Show response message
                $contactform.prepend(e);
                e.show('fade');
                $('input[type=submit]').removeAttr('disabled', 'disabled');
            });
        return false;
    });


    // Needed variables
    var $contactsingleform 	= $('#contact-single-message-form');

    $contactsingleform.submit(function(){
        $('input[type=submit]').attr('disabled', 'disabled');
        $.ajax({
            type: "POST",
            dataType : 'json',
            data: $(this).serialize()+"&action=send_single_mail_glocal"
        }).success(function(response)
            {
                if(response.success == 200){
                    el = '<div class="status-success">'+ response.message +'</div>';
                }
                else
                {
                    el = '<div class="status-error">'+ response.message +'</div>';
                }

                // Hide any previous response text
                $(".status-error,.status-success").remove();
                e = $(el);
                e.hide();
                // Show response message
                $contactsingleform.prepend(e);
                e.show('fade');
                $('input[type=submit]').removeAttr('disabled', 'disabled');
            });
        return false;
    });

});

/* global window */
jQuery(window).load(function(){

	/***
	12. Setting equal heights for required containers and elements on page load.
	***/

	/***
	12. Adding Twitter feed to the website footer.
	***/

	/***
	13. Adding Flickr feed to the website footer.
	***/

    jQuery("#flickr-feed").each(function() {
        var flickr_id = jQuery(this).html();
        jQuery(this).html('');
        jQuery(this).jflickrfeed({
            limit           : 12,
            qstrings        : { id: flickr_id },
            itemTemplate    : '<li><a href="{{image_b}}"><img src="{{image_s}}" alt="{{title}}" /></a></li>'
        });
    });

	/***
	14. Filter for the portfolio items
	***/

	jQuery('#portfolio-filter input').click(function() {
		jQuery('#portfolio-filter input').removeClass('current');
		jQuery(this).addClass('current');
		var filter = jQuery(this).attr('id');
		if ( filter === 'all' ) {
			jQuery('.portfolio-listing').slideDown('fast');
			jQuery('.portfolio-listing-small').slideDown('fast');
		} else {
			jQuery('.portfolio-listing').slideUp('fast');
			jQuery('.portfolio-listing-small').slideUp('fast');
			jQuery('.portfolio-listing.' + filter).slideDown('fast');
			jQuery('.portfolio-listing-small.' + filter).slideDown('fast');
		}
	});


    /***
     15. Company tabs switchong.
     ***/

    $("#company-tabs-active li a").click(function(event) {
        event.preventDefault();
        $("#company-tabs-active li").removeClass('active');
        $(this).parent().addClass('active');
        $('.company-tabs-content').slideUp(500);
        var tabID = $(this).attr('class');
        window.location.hash = tabID;
        $('#' + tabID).delay(500).slideDown(500);
        return false;
    });

    var hash = window.location.hash;
    if ( $(hash).length ) {
        $('.company-tabs-content').slideUp(500);
        $(hash).delay(500).slideDown(500);
        $("#company-tabs-active li").removeClass('active');
        $('#company-tabs-active li .' + hash.slice(1)).parent().addClass('active');
    }

    $('.portfolio-layout-links a').click(function(event) {
        event.preventDefault();
        if ( $(this).hasClass('current') == false ) {
            switch(true) {
                case $(this).hasClass('portfolio-1'):
                    $('.company-tabs-content').slideUp(300);
                    window.location.hash = 'company-tabs-portfolio-1';
                    $('#company-tabs-portfolio-1').delay(300).slideDown(300);
                    break;
                case $(this).hasClass('portfolio-2'):
                    $('.company-tabs-content').slideUp(300);
                    window.location.hash = 'company-tabs-portfolio-2';
                    $('#company-tabs-portfolio-2').delay(300).slideDown(300);
                    break;
                case $(this).hasClass('portfolio-3'):
                    $('.company-tabs-content').slideUp(300);
                    window.location.hash = 'company-tabs-portfolio-3';
                    $('#company-tabs-portfolio-3').delay(300).slideDown(300);
                    break;
                case $(this).hasClass('portfolio-4'):
                    $('.company-tabs-content').slideUp(300);
                    window.location.hash = 'company-tabs-portfolio-4';
                    $('#company-tabs-portfolio-4').delay(300).slideDown(300);
                    break;
            }
        }
    });

    /***
     16. Specialisations block scripts.
     ***/

    $('.specialisation-progressbar').each(function() {
        var currentValue = Number($(this).attr('value'));
        $(this).progressbar({
            value: currentValue
        });
    });
    $('.specialisation .toggle-description-button').click(function() {
        if ( $(this).hasClass('plus-button') == true ) {
            $(this).toggleClass('plus-button minus-button').html('-').siblings('.specialisation-description').slideDown();
        } else {
            $(this).toggleClass('plus-button minus-button').html('+').siblings('.specialisation-description').slideUp();
        }
    });

    /***
     17. Star rating scripts.
     ***/

    $('.rating-stars.interactive .star').click(function() {
        $(this).siblings('.star').removeClass('current');
        $(this).addClass('current').parent().addClass('rated');
    });

    /***
     18. Company event tabs switching.
     ***/

    $('#event-tabs a').click(function(event) {
        event.preventDefault();
        if ( $(this).parent().hasClass('active') == false ) {
            var tabID = $(this).attr('id');
            $('#event-tabs li').removeClass('active');
            $(this).parent().addClass('active');
            $('#event-tabs-content li').slideUp('fast').removeClass('visible');
            $('#event-tabs-content li.' + tabID).slideDown('fast').addClass('visible');
        }
    });

    /***
     18. Company product& services tabs, product categories switching.
     ***/

    $('ul.list-root ul.hidden').hide();
    $('ul.list-root a').click(function(event) {
        if ( $(this).next().is('ul') == true ) {
            event.preventDefault();
            if ( $(this).next().hasClass('level-2') == true ) {
                var className = 'level-2';
            }
            if ( $(this).next().hasClass('level-3') == true ) {
                var className = 'level-3';
            }
            if ( $(this).hasClass('expanded') == false ) {
                $('ul.' + className + '.visible')
                    .slideUp(200)
                    .toggleClass('visible hidden')
                    .prev('a')
                    .toggleClass('expanded');
                $(this)
                    .toggleClass('expanded')
                    .next('ul')
                    .slideDown(200)
                    .toggleClass('visible hidden');
            } else {
                $('ul.' + className + '.visible')
                    .slideUp(200)
                    .toggleClass('visible hidden')
                    .prev('a')
                    .toggleClass('expanded');
            }
        }
    });



});

jQuery(window).resize(function() {

	/***
	15. Setting equal heights for required containers and elements on page resize.
	***/

});


