<?php
get_header();
the_post();

//Get variables Glocal_Options
//Site options
$opt_glocal_boxed_version = get_option('opt_glocal_boxed_version');
?>

<section class="section content <?php if($opt_glocal_boxed_version == 'yes') {echo 'boxed';} else { echo '';}; ?>">
    <div class="content-wrapper">
        <div class="zone-content equalize zone clearfix">
            <div class="content-container container-16">
                <div class="blog-post block"  <?php post_class(); ?>>
                    <div class="block-title">
                        <h1><?php the_title(); ?></h1>
                    </div>
                    <div class="blog-post-image">
                        <?php the_post_thumbnail() ?>
                    </div>
                    <div class="blog-post-body">
                        <?php the_content(); ?>
                    </div>
                    <div class="blog-post-info">
                        <?php get_template_part('/include/php/share-social'); ?>
                        <div class="social-links" id="social">
                             <a href="#social" onClick="glocal_share_FB()">
                                <img src="<?php echo get_template_directory_uri().'/images/facebook-icon.png' ?>" alt=""/>
                            </a>
                            <a href="#social" onClick="glocal_share_GP()">
                                <img src="<?php echo get_template_directory_uri().'/images/google-icon.png' ?>" alt="" />
                            </a>
                            <a href="#social" onClick="glocal_share_TW()">
                                <img src="<?php echo get_template_directory_uri().'/images/twitter-icon.png' ?>" alt="" />
                            </a>
                            <a href="#social"  onClick="glocal_share_LI()">
                                <img src="<?php echo get_template_directory_uri().'/images/linkedin-icon.png' ?>" alt="" />
                            </a>
                            <a href="#social" onClick="glocal_share_PI()">
                                <img src="<?php echo get_template_directory_uri().'/images/pinterest-icon.png' ?>" alt="" />
                            </a>
                            <a href="#social" onClick="glocal_share_DB()">
                                <img src="<?php echo get_template_directory_uri().'/images/dribbble-icon.png' ?>" alt="" />
                            </a>
                        </div>
                        <div class="blog-post-author text-green"><?php glocal_posted_author(); ?></div>
                        <div class="blog-post-category text-green"> <?php if ( count( get_the_category() ) ) : ?>
                                <?php printf( __( '%2$s', 'glocal' ), '', get_the_category_list( ', ' ) ); ?>
                            <?php endif; ?></div>
                    </div>
                </div>
                <div class="comment-message block">
                    <?php comments_template( '' ); //Call Comments Template?>
                </div>
                <?php if ( is_singular() ) wp_enqueue_script( "comment-reply" ); ?>
            </div><!-- end of .content-container -->
            <div class="sidebar-container container-8">
                <div class="sidebar-search block">
                    <form id="sidebar-search">
                        <input type="text" class="sidebar-search-input" placeholder="Search...">
                        <input type="submit" class="sidebar-search-submit" name="submit" value="" />
                    </form>
                </div>
                <div class="categories block">
                    <div class="block-title">
                        <h3>Categories</h3>
                    </div>
                    <?php
                    //Blog Categories
                    $args = array(
                        'type' 			=> 'content',
                        'orderby' 		=> 'name',
                        'order' 		=> 'ASC',
                        'hide_empty'	=> 1,
                        'taxonomy'		=> 'category',
                    );
                    $categories = get_categories($args);
                    ?>
                    <ul>
                        <?php foreach ($categories as $category ) : ?>
                            <li>
                                <a href="<?php echo $category->slug; ?>"><?php echo $category->name; ?></a>
                            </li>
                        <?php endforeach; ?>
                    </ul>
                </div>
                    <?php get_template_part('/include/html/frame','sidebar')?>
                <div class="latest-news block">
                    <?php
                    /* When we call the dynamic_sidebar() function
                     */
                    if ( ! dynamic_sidebar( 'primary-widget-area' ) ) : ?>

                        <div class="block-title">
                            <h3><?php _e( 'Archives', 'glocal' ); ?></h3>
                        </div>

                        <ul class="entries-list">
                            <?php wp_get_archives( 'type=monthly' ); ?>
                        </ul>
                        <div class="block-title">
                            <h3><<?php _e( 'Meta', 'glocal' ); ?></h3>
                        </div>

                        <ul id="meta">
                            <?php wp_register(); ?>
                            <li><?php wp_loginout(); ?></li>
                            <?php wp_meta(); ?>
                        </ul>
                    <?php endif; // end primary widget area ?>
                </div>
            </div><!-- end of .sidebar-container -->
            <?php wp_link_pages('before=<div id="page-links">&after=</div>&pagelink=page %'); ?>
        </div><!-- end of .zone-content -->
    </div><!-- end of .content-wrapper -->
</section>

<?php get_template_part ('footer');