<?php
// Payment gateway (uou_payments) v.0.5
$opt_glocal_pp_type =  get_option('opt_glocal_pp_type');

$account[1][6] = get_option('opt_glocal_acc_1_items');
$account[2][6] = get_option('opt_glocal_acc_2_items');
$account[3][6] = get_option('opt_glocal_acc_3_items');

// admin customization
add_action( 'admin_init', 'glocal_reg_roles');
add_action( 'init', 'item_remove_field');
add_action( 'pre_get_posts', 'shw_att_role');
add_filter( 'manage_users_columns', 'glocal_Users_Show_Details');
add_filter( 'manage_users_custom_column', 'shw_extr_data', 10, 3);
add_filter( 'pre_get_posts', 'shw_auth_items');
add_filter( 'views_edit-company', 'items_table_views');
add_filter( 'admin_notices', 'admin_notices' );

// require func
require_once dirname(__FILE__) . '/class-paypal.php';
require_once dirname(__FILE__) . '/accounts-reg.php';

function glocal_reg_roles() {

	global $current_user, $account;

	// capability
	$capabilitiesAdmin = array(
		"edit_company" => true,
		"read_company" => true,
		"delete_company" => true,
		"edit_company" => true,
		"edit_others_companys" => true,
		"publish_companys" => true,
		"read_private_companys" => true,
		"delete_companys" => true,
		"delete_private_companys" => true,
		"delete_published_companys" => true,
		"delete_others_companys" => true,
		"edit_private_companys" => true,
		"edit_published_companys" => true,
		"assign_company_category" => true,
        "upload_files" => true,
        "glocal_account_upgrade" => false
	);

	// set admin capability
	$adminRole = get_role( 'administrator' );
	foreach ($capabilitiesAdmin as $key => $value) {
		$adminRole->add_cap( $key );
	}

	$subscriberRole = get_role( 'subscriber' );
	$subscriberRole->add_cap( 'glocal_account_upgrade' );

	// update user roles by adminpanel
	if($_GET['page'] == 'siteoptions' && $_GET['reset'] == 'true' OR $_POST['save'] == 'true' OR $_POST['action'] == 'of_ajax_post_action'){

        if ($_GET['page'] == 'siteoptions' && $_GET['reset'] == 'true'){
            $opt_glocal_acc_1_active = get_option('opt_glocal_acc_1_active');
            $opt_glocal_acc_1_name = get_option('opt_glocal_acc_1_name');
            $opt_glocal_acc_2_active = get_option('opt_glocal_acc_2_active');
            $opt_glocal_acc_2_name = get_option('opt_glocal_acc_2_name');
            $opt_glocal_acc_3_active = get_option('opt_glocal_acc_3_active');
            $opt_glocal_acc_3_name = get_option('opt_glocal_acc_3_name');
        } else {
            $opt_glocal_acc_1_active =  $_POST['act1active'];
            $opt_glocal_acc_1_name =  $_POST['act1name'];
            $opt_glocal_acc_2_active = $_POST['act2active'];
            $opt_glocal_acc_2_name =  $_POST['act2name'];
            $opt_glocal_acc_3_active = $_POST['act3active'];
            $opt_glocal_acc_3_name = $_POST['act3name'];
        }

        $prefixName = '';

        $capabilitiesglocal = array(
            "edit_companys" => true,
            "edit_company" => true,
            "read_private_companys" => false,
            "edit_published_companys" => true,
            "delete_companys" => false,
            "delete_published_companys" => false,
            "assign_company_category" => true,
            "read" => true,
            "upload_files" => true,
            "glocal_account_upgrade" => true
        );

        if(isset($opt_glocal_acc_1_active)){
            remove_role( 'glocal_role_1' );
            $caps = $capabilitiesglocal;

            $caps["publish_companys"] = true;

            add_role( 'glocal_role_1', $prefixName . $opt_glocal_acc_1_name, $caps);
        } else {
            remove_role( 'glocal_role_1' );
        }

        if(isset($opt_glocal_acc_2_active)){
            remove_role( 'glocal_role_2' );
            $caps = $capabilitiesglocal;

            $caps["publish_companys"] = true;


            add_role( 'glocal_role_2', $prefixName . $opt_glocal_acc_2_name, $caps);
        } else {
            remove_role( 'glocal_role_2' );
        }

        if(isset($opt_glocal_acc_3_active)){
            remove_role( 'glocal_role_3' );
            $caps = $capabilitiesglocal;

            $caps["publish_companys"] = true;


            add_role( 'glocal_role_3', $prefixName . $opt_glocal_acc_3_name, $caps);
        } else {
            remove_role( 'glocal_role_3' );
        }
	}


	// check max items user
	$usrRoles = $current_user->roles;
	if (isGlocalUser()) {
		if((strpos($_SERVER['PHP_SELF'],'post-new.php') !== false) && isset($_GET['post_type']) && ($_GET['post_type'] == 'company')){
			$params = array(
				'post_type'			=> 'company',
				'nopaging'			=> true,
				'author'			=> $current_user->ID
			);
			$itemsQuery = new WP_Query();
			$items = $itemsQuery->query($params);

			$redirectUrl = admin_url('edit.php?post_type=company&notification_message=1');

			if(in_array('glocal_role_1', $usrRoles)){
				if(count($items) >= intval($account[1][6])){
					header('Location: ' . $redirectUrl);
				}
			} elseif (in_array('glocal_role_2', $usrRoles)) {
				if(count($items) >= intval($account[2][6])){
					header('Location: ' . $redirectUrl);
				}
			} elseif (in_array('glocal_role_3', $usrRoles)) {
				if(count($items) >= intval($account[3][6])){
					header('Location: ' . $redirectUrl);
				}
			}

            $redirectUrl2 = admin_url('edit.php?post_type=company&notification_message=2');

            $expiresdays =  glocal_get_days_left();
            if($expiresdays != 'Unlimited'){
                        if(in_array('glocal_role_1', $usrRoles)){
                            if(intval($expiresdays) <= 0){
                                header('Location: ' . $redirectUrl2);
                            }
                        } elseif (in_array('glocal_role_2', $usrRoles)) {
                            if(intval($expiresdays) <= 0){
                                header('Location: ' . $redirectUrl2);
                            }
                        } elseif (in_array('glocal_role_3', $usrRoles)) {
                            if(intval($expiresdays) <= 0){
                                header('Location: ' . $redirectUrl2);
                            }
                        }
            }
		}

        if((strpos($_SERVER['PHP_SELF'],'media-new.php') !== false)){

            $redirectUrl3 = admin_url('profile.php?notification_message=2');

            $expiresdays2 =  glocal_get_days_left();
            if($expiresdays != 'Unlimited'){
                if(in_array('glocal_role_1', $usrRoles)){
                    if($expiresdays2 <= 0){
                        header('Location: ' . $redirectUrl3);
                    }
                } elseif (in_array('glocal_role_2', $usrRoles)) {
                    if($expiresdays2 <= 0){
                        header('Location: ' . $redirectUrl3);
                    }
                } elseif (in_array('glocal_role_3', $usrRoles)) {
                    if($expiresdays2 <= 0){
                        header('Location: ' . $redirectUrl3);
                    }
                }
            }
        }

	}
}

/**
 * Show items only for roles
 */
function shw_auth_items($query) {
	if (isGlocalUser()) {
		if((strpos($_SERVER['PHP_SELF'],'edit.php') !== false) && isset($_GET['post_type']) && ($_GET['post_type'] == 'company')){
			$query->set('author',$GLOBALS['current_user']->ID);
		}
	}
	return $query;
}

function items_table_views($views) {
	if (isGlocalUser()) {
		global $wpdb;

		$user = wp_get_current_user();
		$type = 'company';

		$query = "SELECT post_status, COUNT( * ) AS num_posts FROM {$wpdb->posts} WHERE post_type = %s AND post_author = %d";
		$query .= ' GROUP BY post_status';

		$count = $wpdb->get_results( $wpdb->prepare( $query, $type, $user->ID ), ARRAY_A );

		$stats = array();
		foreach ( get_post_stati() as $state )
			$stats[$state] = 0;

		foreach ( (array) $count as $row )
			$stats[$row['post_status']] = $row['num_posts'];

		$stats = (object) $stats;

		global $locked_post_status, $avail_post_stati;

		$post_type = $type;

		if ( !empty($locked_post_status) )
			return array();

		$status_links = array();
		$num_posts = $stats;
		$class = '';
		$allposts = '';
		$total_posts = array_sum( (array) $num_posts );


		foreach ( get_post_stati( array('show_in_admin_all_list' => false) ) as $state )
			$total_posts -= $num_posts->$state;

		$class = empty( $class ) && empty( $_REQUEST['post_status'] ) && empty( $_REQUEST['show_sticky'] ) ? ' class="current"' : '';
		$status_links['all'] = "<a href='edit.php?post_type=$post_type{$allposts}'$class>" . sprintf( _nx( 'All <span class="count">(%s)</span>', 'All <span class="count">(%s)</span>', $total_posts, 'posts' , 'glocal'), number_format_i18n( $total_posts ) ) . '</a>';

		foreach ( get_post_stati(array('show_in_admin_status_list' => true), 'objects') as $status ) {
			$class = '';

			$status_name = $status->name;

			if ( !in_array( $status_name, $avail_post_stati ) )
				continue;

			if ( empty( $num_posts->$status_name ) )
				continue;

			if ( isset($_REQUEST['post_status']) && $status_name == $_REQUEST['post_status'] )
				$class = ' class="current"';

			$status_links[$status_name] = "<a href='edit.php?post_status=$status_name&amp;post_type=$post_type'$class>" . sprintf( translate_nooped_plural( $status->label_count, $num_posts->$status_name ), number_format_i18n( $num_posts->$status_name ) ) . '</a>';
		}
		return $status_links;
	} else {
		return $views;
	}
}

/**
 * Show errormessage max items and expired
 */
function admin_notices() {
	global $registerMessages;

	if(isset($_GET['notification_message']) && $_GET['notification_message'] == '1'){
		echo '<div class="error"><p>'.__('You have maximum items for your account type. Upgrade your account to insert more items!','glocal').'</p></div>';
	}
    if(isset($_GET['notification_message']) && $_GET['notification_message'] == '2'){
        echo '<div class="error"><p>'.__('Your account has expired. Upgrade your account.','glocal').'</p></div>';
    }
	if(isset($registerMessages)){
		echo '<div class="updated"><p>'.$registerMessages.'</p></div>';
	}
}

function item_remove_field() {
	global $current_user;

	if (isGlocalUser()) {
		$usrRoles = $current_user->roles;
		$roleNumber = substr(array_shift(array_values($usrRoles)), 12);
	}
}

function shw_att_role( $query ) {
	global $current_user, $pagenow;
	if (isGlocalUser()) {
		if( 'upload.php' == $pagenow || 'admin-ajax.php' == $pagenow || 'media-upload.php' == $pagenow) {
			$query->set('author', $current_user->ID );
		}
	}
	return $query;
}

function glocal_Users_Show_Details($columns) {
	$columns['items'] = __('User items','glocal');
    $columns['activation_time'] = __('Activation time','glocal');
    $columns['recurring_profile_id'] = __('PayPal Recurring Profile ID','glocal');
    $columns['days_before_expiration'] = __('Expiry date','glocal');
    $columns['transaction_id'] = __('Last PayPal transaction ID','glocal');
	return $columns;
}


/**
 *  Display information
 **/

function shw_extr_data($empty='', $column_name, $id) {
    if( $column_name == 'items' ) {
		return glocal_company_count($id);
	}
	if( $column_name == 'activation_time' ) {
		$data = get_user_meta( $id, 'glocal_activation_time', true );
		if ($data) {
			$dateFormat = get_option( 'date_format', 'm/d/Y' );
			return date($dateFormat,$data['time']);
		}
	}
	if( $column_name == 'days_before_expiration' ) {
		$user = new WP_User($id);
		if (isGlocalUser($user)) {
			return glocal_get_days_left($user->ID);
		} else {
			return '';
		}
	}
	if( $column_name == 'transaction_id' ) {
		$data = get_user_meta( $id, 'paypal_transaction_id', true );
		if ($data) {
			return $data;
		}
	}
	if( $column_name == 'recurring_profile_id' ) {
		$data = get_user_meta( $id, 'paypal_recurring_profile_id', true );
		if ($data) {
			return $data;
		}
	}
}

function glocal_company_count($id) {
	global $wpdb;
    	$count = $wpdb->get_var( "SELECT COUNT(*) FROM $wpdb->posts WHERE post_type = 'company' AND post_status = 'publish' AND post_author = ".$id );
	return $count;
}

