<?php
/*
 *
 *  Post Type
 *
 */
class ImportCompany {

    public $id;
    public $name;
    public $default_options;
    public $meta_options;
    public $taxonomies;
    private $fw_post_types_path;

    public function __construct($id) {

        $this->default_options = array(
            'post_name' => array(
                'label' => __("Name/ID/Slug"),
                'notice' => __("Name (slug) company")
            ),
            'post_title' => array(
                'label' => __("Title"),
                'notice' => ''
            ),
            'post_status' => array(
                'label' => __("Company status"),
                'notice' => __("Available values: draft, publish, pending, future, private. Default: draft")
            ),
            'post_content' => array(
                'label' => __("Content"),
                'notice' => ''
            ),
            'post_excerpt' => array(
                'label' => __("Excerpt"),
                'notice' => ''
            ),
            'post_author' => array(
                'label' => __("Author username"),
                'notice' => __("Default author is currently user")
            ),
            'post_date' => array(
                'label' => __("Date"),
                'notice' => __("Date in format: Y-m-d H:i:s (example: 2013-06-12 18:12:00). Default: currently date")
            ),
            'post_image' => array(
                'label' => __("Featured Image"),
                'notice' => __("Slug (name) of media file")
            ),
            'comment_status' => array(
                'label' => __("Comment status"),
                'notice' => __("Available values: closed, open")
            )
        );

        $this->options_list = array(
            'glocal' => array(
                'wlctext_name' => array(
                    'label' => __('Welcome text'),
                    'notice' => __("Welcome text company")
                ),
                'company_doc_desc' => array(
                    'label' => __('Description'),
                    'notice' => __("Description company.")
                ),
                'company_image1_url' => array(
                    'label' => __('URL images company'),
                    'notice' => __("URL (example: http://**.**/**.jpg)")
                ),
                'company_company_soc_fb' => array(
                    'label' => __('Social facebook'),
                    'notice' => __("URL (example: http://**.**/**.jpg)")
                ),
                'company_company_soc_tw' => array(
                    'label' => __('Social twitter'),
                    'notice' => __("URL (example: http://**.**/**.jpg)")
                ),
                'company_company_soc_gp' => array(
                    'label' => __('Social Google+'),
                    'notice' => __("URL (example: http://**.**/**.jpg)")
                ),
                'address_country_name' => array(
                    'label' => __('Country'),
                    'notice' => __(" ")
                ),
                'address_region_name' => array(
                    'label' => __('Region'),
                    'notice' => __(" ")
                ),
                'address_name' => array(
                    'label' => __('Address'),
                    'notice' => __(" ")
                ),
                'address_lat' => array(
                    'label' => __('Latitude'),
                    'notice' => __("*Required ")
                ),
                'address_lng' => array(
                    'label' => __('longitude'),
                    'notice' => __("*Required ")
                ),
                'shw_strv' => array(
                    'label' => __('Show Streetview instead of the map in detail'),
                    'notice' => __("Available values: Map, Streetview, Blank")
                ),
                'company_doc_founded' => array(
                    'label' => __('Founded'),
                    'notice' => __("Founded company.")
                ),
                'company_doc_legal' => array(
                    'label' => __('Legal Entity'),
                    'notice' => __(" ")
                ),
                'company_doc_turnover' => array(
                    'label' => __('Turnover'),
                    'notice' => __(" ")
                ),
                'company_doc_empl' => array(
                    'label' => __('Number of Employees'),
                    'notice' => __(" ")
                ),
                'company_doc_phone' => array(
                    'label' => __('Phone'),
                    'notice' => __(" ")
                ),
                'company_soc_fax' => array(
                    'label' => __('Fax'),
                    'notice' => __(" ")
                ),
                'company_soc_email' => array(
                    'label' => __('E-mail'),
                    'notice' => __(" ")
                ),
                'company_soc_email_form' => array(
                    'label' => __('Email contact form'),
                    'notice' => __("Available values: Hide, Display")
                ),
                'company_contact_tabs_act' => array(
                    'label' => __('Contact tabs'),
                    'notice' => __("Available values: Hide, Display")
                ),
                'company_soc_web' => array(
                    'label' => __('Website'),
                    'notice' => __("")
                ),
                'company_soc_web' => array(
                    'label' => __('Website'),
                    'notice' => __("")
                ),
                'company_tags' => array(
                    'label' => __('Range of Services tags'),
                    'notice' => __("Separate by ',' ")
                ),
                'company_soc_openhrs1' => array(
                    'label' => __('Opening Hours 1:'),
                    'notice' => __("1 interval, (days, hours !!Separate by , ) (example: monday, 18:00)")
                ),
                'company_soc_openhrs2' => array(
                    'label' => __('Opening Hours 2:'),
                    'notice' => __("2 interval, (days, hours !!Separate by , ) (example: monday, 18:00)")
                ),
                'company_soc_openhrs3' => array(
                    'label' => __('Opening Hours 3:'),
                    'notice' => __("3 interval, (days, hours !!Separate by , ) (example: monday, 18:00)")
                ),
                'company_soc_openhrs4' => array(
                    'label' => __('Opening Hours 4:'),
                    'notice' => __("4 interval, (days, hours !!Separate by , ) (example: monday, 18:00)")
                )



            )
        );

        $this->meta_options = $this->options_list['glocal'];

        $this->id = $id;
        $this->name = (isset($GLOBALS['wp_post_types'][$id]->labels->name)) ? $GLOBALS['wp_post_types'][$id]->labels->name : $id;


        $taxonomies = get_object_taxonomies($id);
        foreach ($taxonomies as $tax) {
            // exclude post_format
            if($tax != 'post_format') {
                $this->taxonomies[$tax] = new ImportCat($tax);
            }
        }

    }
}


/*
 *
 *  Categories Type
 *
 */
class ImportCat {

    public $id;
    public $name;
    public $default_options;
    public $meta_options;
    private $options_list;

    public function __construct($id) {

        $this->id = $id;
        $this->name = (isset($GLOBALS['wp_taxonomies'][$id]->labels->name)) ? $GLOBALS['wp_taxonomies'][$id]->labels->name : $id;

        $this->default_options = array(
            'slug' => array(
                'label' => __('Name / Identifier / Slug'),
                'notice' => __('Name (slug) for identifing category')
            ),
            'title' => array(
                'label' => __('Title'),
                'notice' => ''
            ),
            'description' => array(
                'label' => __('Description'),
                'notice' => ''
            ),
            'parent' => array(
                'label' => __('Parent category'),
                'notice' => __('Parent category name (slug)')
            )
        );

        $this->options_list = array(
            'glocal' => array(
                'glocal_category' => array(
                    'marker' => __('Excerpt'),
                    'icon' => __('Icon'),
                    'icon_grey' => __('Marker')
                )
            )
        );

        $this->meta_options = $this->options_list['glocal']['glocal_category'];

    }

}



require_once( glocal_SKL_plugin . '/import-company/process.php' ); //Process script

add_action( 'init', 'make_instance', 100 );

function make_instance() {
    CompanyImport::get_instance();
}